Bug 37361 (mab3.5) - LibreOffice 3.5 most annoying bugs
Summary: LibreOffice 3.5 most annoying bugs
Status: CLOSED FIXED
Alias: mab3.5
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
3.5.0 RC2
Hardware: All All
: highest critical
Assignee: Not Assigned
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on: 30467 31624 32181 32709 32826 32886 32948 33393 33484 33591 33914 34093 34209 34380 34432 34814 35023 35079 35427 35991 36149 36681 36703 36742 36982 37024 37529 37561 38176 38515 38606 38908 38913 39003 39026 39187 39313 39365 39415 39903 40261 40289 40298 40320 40392 40438 40447 40449 40466 40481 40482 40615 40768 40801 40902 40948 40958 41888 41996 42092 42178 42227 42432 42537 42543 42640 42656 42694 42720 42771 42826 42914 42979 43009 43154 43197 43229 43313 43384 43399 43409 43422 43454 43458 43462 43480 43532 43556 43567 43614 43644 43707 43752 43824 43831 43837 43856 43862 43867 43932 43989 44025 44040 44075 44078 44093 44110 44143 44147 44210 44219 44322 44467 44498 44518 44628 44657 44719 44721 44861 44862 44915 45049 45067 45081 45084 45117 45171 45190 45219 45248 45254 45255 45260 45340 45370 45376 45401 45409 45453 45521 45584 45607 45637 45696 45724 45991 46020 46038 46071 46099 46102 46114 46144 46160 46165 46230 46249 46439 46480 46508 46509 46510 46532 46568 46687 46805 46809 46843 46901 47052 47068 47274 47368 47370 47406 47560 47644 47717 47769 47777 48093 48345 48356 48729 48778 48828 49342 49522 49545 49582 49610 49760 50018 50173 50285 50415 50509 50676 51034 51239 51247 51619 52080 52392 53113 53175 53281 53557 53872 53909 54214 55042 56009 56281
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-19 05:35 UTC by Petr Mladek
Modified: 2015-10-18 02:38 UTC (History)
35 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Petr Mladek 2011-05-19 05:35:37 UTC
This is the Meta issue to track most annoying bugs for the release of LibreOffice
3.5.x releases. It helps developers to concentrate on bugs that are important
for users. Also it helps users to be aware of potential problems.

If anyone wants to raise an Bug for the release, please add the Bug ID as
dependent Bug here to the Meta Bug in field "Depends on". Additionally please
leave a comment here why you think that the bug should be privileged.

See also http://wiki.documentfoundation.org/Release_Criteria
and http://wiki.documentfoundation.org/ReleasePlan
Comment 1 sasha.libreoffice 2011-05-19 10:17:09 UTC
My be one of next bugs:
Bug 34436 - TABLES text in cells behaves wrong when rotated (annoys when opening documents in doc format, there rotated text has no restrictions)
Bug 34451 - Appearing docked Toolbars cause document jumping on screen (distorts attention, slows down work)
Bug 34559 - Complex Dialogs should be resizable (dialogs takes only small part on contemporary displays, and if dialog contains much information, it seriously slows down work; besides on some locales text not fits in UI of dialogs)
Bug 35302 - in Writer in table cursor jump to last cell if press Ctrl-A (user lost cell where last time works, problem if table is big)
Bug 35829 - Writer table: can not select rows by mouse (user can not select many rows in table)
Bug 35991 - merged cells in tables in DOC files not saved correctly by Writer on Linux 64bit (user can not save to doc format correctly)
Bug 36035 - Opening .doc file displays numbering with wrong size VIEWING (some files open incorrectly)
None of these bug is serious, but they are annoying
Comment 2 Rainer Bielefeld Retired 2011-08-04 22:16:02 UTC
Nominate Bug 39187 - Mouse pointer disappears instead of changing to "move arrows". There are lots of additional conditions causing disappearing mouse pointer, Master is difficult to use
Comment 3 Rainer Bielefeld Retired 2011-08-08 09:11:37 UTC
Nominate Bug 39026 - Recent Documents list does not work
Comment 4 Petr Mladek 2011-08-30 04:43:56 UTC
Add bug 40392. LO window is on background when starting on MAC.
Comment 5 Regina Henschel 2011-08-31 12:42:42 UTC
I nominate bug 40466. Import and Export Excel files in format xlsx crashes immediately. Working with spreadsheets in new Excel format is impossible.
Comment 6 Rainer Bielefeld Retired 2011-09-04 02:48:30 UTC
Nominate "Bug 40615 - PDF: Most of contents missing, wrong PDF syntax": Very basic function completely broken, WRITER would be unusable for very many users.
Comment 7 Cor Nouws 2011-09-04 04:11:55 UTC
nominate Bug 39313 - XTableRows.removeByIndex and also symply remove Row / Column crashes Libo
Comment 8 Petr Mladek 2011-09-06 01:15:56 UTC
(In reply to comment #7)
> nominate Bug 39313 - XTableRows.removeByIndex and also symply remove Row /
> Column crashes Libo

It is a core function => accepted
Comment 9 Rainer Bielefeld Retired 2011-09-06 07:52:19 UTC
Nominate "Bug 40449 - SPELLCHECK does not recognize text language", WRITER without any spell check - unimaginable!
Comment 10 Rainer Bielefeld Retired 2011-09-06 09:16:22 UTC
Nominate "Bug 39365 - Spell check does not work after copy / paste, modified language not recognized". WRITER without any spell check - unimaginable!
Comment 11 huettemann 2011-09-12 08:02:06 UTC
I nominate Bug 35669 it really old but never the less very annoying.
For complex Documents and Thesis it is important that the master document feature works again.
https://bugs.freedesktop.org/show_bug.cgi?id=35669
Comment 12 Rainer Bielefeld Retired 2011-09-15 01:10:47 UTC
Nominate "Bug 40902 - FILEOPEN CRASH with trivial lorem ipsum text document"
Comment 13 Rainer Bielefeld Retired 2011-09-25 02:33:42 UTC
Nominate Bug 30467 - required visual studio 2008 redistributable libraries not installed, failed to start. For details please see <https://bugs.freedesktop.org/show_bug.cgi?id=30467#c20>
Comment 14 Tomáš Chvátal 2011-10-04 06:02:36 UTC
I would like to nominate bug 40298. Crash when moving cells
<https://bugs.freedesktop.org/show_bug.cgi?id=40298>.

It happens a lot using KDE interface rendering working with calc quite interesting.
Comment 15 Petr Mladek 2011-10-04 08:24:45 UTC
(In reply to comment #13)
> Nominate Bug 30467 - required visual studio 2008 redistributable libraries not
> installed, failed to start

accepted
Comment 16 Rainer Bielefeld Retired 2011-10-24 21:43:21 UTC
Nominate  "Bug 42178 - CRASH when PRINTING from Page Preview"
Comment 17 Petr Mladek 2011-10-25 10:43:55 UTC
I nominate the bug #41888. The import/export of shapes is somehow broken.
Comment 18 Rainer Bielefeld Retired 2011-10-25 22:32:34 UTC
Nominate "Bug 42227 - FILEOPEN: rotated objects all in top left slide corner", what makes DRAW unusable
Comment 19 Orwel 2011-10-31 00:25:11 UTC
Nominate Bug 32664 (multimedia keys)- this (i hope only a) simple bug which is not solved for years (since OOo 3.0.1).
Comment 20 Jean-Baptiste Faure 2011-11-06 10:54:58 UTC
Nominate Bug 42640 - Impress may shows the wrong image if a RTF file is opened before the ODP document.
Comment 21 Rainer Bielefeld Retired 2011-11-08 01:48:34 UTC
Nominate "Bug 42694 - EDITING: Crash when insert Table Control". Potential for 3.4 M.A.B. but within rather long time nobody reclaimmed, so 3.5 might be more appropriate.
Comment 22 Orwel 2011-11-16 03:27:54 UTC
I would like to focus on an improvement, not a bug. The possibility to print notes besides text, like in MS Office would be really a big step forward. This feature is missing since the early OOo release. Due this lack I still need MS Office for printing documents with notes, because it is not possible to work with notes printed on the next/last page.
Comment 23 Michael Meeks 2011-11-17 08:21:14 UTC
Orwel - it is quite a well known issue that people are trying to find funding to fix; whether it is a 'most annoying' bug, as a non-blocker, non-regression I don't know. Then again we have no tracker for "most important features". Either way, you'd want to file a bug for this I think. Also the feature freeze is in ~2 weeks, so you're a bit late for 3.5 :-)
Comment 24 GerardF 2011-11-18 06:47:56 UTC
I want to add 42826 : unopkg.bin runtime error during installation.

If we want to make test, we need a version installed without error.
Comment 25 Björn Michaelsen 2011-11-21 02:39:25 UTC
Nominate 43105 because its:
- a regression
- a very relevant file import (*.doc)

File import issues are hard to tracks as is, and regressions are harder to solve the longer they are in the product.
Comment 26 Petr Mladek 2011-11-21 08:26:19 UTC
Nominate bug 35669: Incorrect cross-references to illustrations and equations in master documents.

It is a quite old bug with many duplicates and votes.
Comment 27 Jean-Baptiste Faure 2011-11-22 03:05:58 UTC
Nominate bug 43154: regression from LibO 3.4, false results in Calc.
Comment 28 Lionel Elie Mamane 2011-11-23 06:14:14 UTC
Nominating bug 40447: cannot change macro security settings: UI does not open
Comment 29 Rainer Bielefeld Retired 2011-11-24 03:08:54 UTC
Nominate Bug 42914 - Terminal (command) window is opened when launching any executable. Such a very visible problem is not acceptable for a release.
Comment 30 Rainer Bielefeld Retired 2011-11-24 03:10:52 UTC
Nominate "Bug 42979 - Wrong application icon on the MSVC Master". Such a very visible problem is not acceptable for a release.
Comment 31 Rainer Bielefeld Retired 2011-11-30 09:34:26 UTC
Nominate "43384 - FILESAVE: causes lots of messages or even impossible". Blocker if reproducible!
Comment 32 Rainer Bielefeld Retired 2011-12-01 02:11:50 UTC
Nominate "Bug 43409 - CRASH wen close document"
Blocker if reproducible!
Comment 33 Lionel Elie Mamane 2011-12-01 13:43:04 UTC
Nominate bug 42470: scripting code in the wild (and example code in SDK) uses --nodefault command-line argument to mean "splash screen shown, but no window opened after that". LibO 3.4 uses it to mean "show welcome screen on startup instead of opening a blank Writer document", which breaks user code.

We need to clean that up.
Comment 34 Rainer Bielefeld Retired 2011-12-02 00:36:52 UTC
Nominate "Bug 43454 - Break-off with message "Terminate Quick Starter""; 3.5.0 Beta0 Installation fails for me.
Comment 35 manj_k 2011-12-03 11:12:57 UTC
Nominate 'Bug 43422 - Spell check: Crash "Runtime Error" with AutoSpellcheck';
not acceptable for a release.
Comment 36 clio 2011-12-03 12:41:29 UTC
Nominate Bug 43462 – findAll doesn't work
This bug would break extensions and macroses that use findAll method in Calc
Comment 37 Roman Eisele 2011-12-06 01:08:25 UTC
May I propose to add Bug 36982: "Writer ignores text after Equation in docx" -- or even crashes (see comments about the bug)? I know this is an old bug report from LibreOffice 3.4, but IMHO fixing it for 3.5 is even more important now because our "scratch-pad of notes to build release notes from" at

http://wiki.documentfoundation.org/ReleaseNotes/3.5

says:

"Support for export and import of math formulas in Office Open XML (docx) documents (Luboš Luňák)."

So, if we declare that there is now official support for import/export of math formulas in docx documents, it is strange that opening such a docx document containing some math formulas does not work at all or even crashes LibreOffice ...

Just ignore my proposal if I got something wrong, but at least to me fixing this bug seems especially important. It should be not that difficult, BTW, because on MacOS the same docx files containing math formulas already open without major difficulties, so this seems Windows-only problem ... Compare also Bug 43429, which is IMHO a duplicate of Bug 36982 but especially describes the crashes.
Comment 38 Lionel Elie Mamane 2011-12-06 12:18:04 UTC
Nominate bug 43556: Hidden state in report design, leads to behaviour that is incomprehensible from what is shown in the UI.
Comment 39 Rainer Bielefeld Retired 2011-12-07 21:58:28 UTC
Nominate "Bug 43614 - Crash when closing document and several Spreadsheet documents open", makes CALC unusable!
Comment 40 Rainer Bielefeld Retired 2011-12-08 10:23:52 UTC
Nominating "Bug 43491 - CONFIGURATION: Using existing User Profile existing WRITER documents open "semi read only"". Currently indications are rather confusing and it's not a crash or similar, but there is a potential to make WRITER unusable after an update.
Comment 41 Jean-Baptiste Faure 2011-12-08 11:53:14 UTC
Nominating bug 43197 : navigator corruption. The problem is mostly with Impress and make the navigator unusable.
Comment 42 Arnaud Versini 2011-12-09 14:02:57 UTC
Nominate #42656 : Problems during exchange of image from ODP and RTF. Copy an image from an opendocument to an rtf does'nt work
Comment 43 Mihkel Tõnnov 2011-12-12 03:18:46 UTC
Nominating Bug 41996 - Can't move slides in slide sorter.
Tried with LibO 3.5 beta 0.

Seems to not affect everyone, though. (Only certain Linux distros? It would be nice to get more people to test it.)
Comment 44 Rainer Bielefeld Retired 2011-12-12 10:20:54 UTC
Nominate "Bug 43752 - VIEWING: Rotated flipped shapes in 3.4 drawings loose rotation opened in 3.5".
Comment 45 Regina Henschel 2011-12-12 10:27:41 UTC
Nominate "Bug 43749 - EDITING in existing cell content not possible, cursor jumps to line end"
Comment 46 Rainer Bielefeld Retired 2011-12-13 23:33:17 UTC
Nominate "Bug 43707 - FILEOPEN PDF brings up (ASCII) filter selector instead of opening document"
Comment 47 Rainer Bielefeld Retired 2011-12-14 07:52:04 UTC
Nominate "Bug 43831 - Advanced FILTER incompatible with 3.4.4 documents" -  we should not break compatibility
Comment 48 Rainer Bielefeld Retired 2011-12-15 10:12:31 UTC
Nominate "Bug 43862 - Page FORMATTING: Margin settings information not compatible with 3.4.4", breaking version interoperability is a potential blocker.
Comment 49 Regina Henschel 2011-12-15 13:15:22 UTC
Nominate Bug 43837 - Impress crashes on custom animation of presentation objects

Please try it out, it is not confirmed yet.
Comment 50 Cor Nouws 2011-12-15 14:08:46 UTC
Propose Bug 43867 - MAILMERGE: Mail Merge with image in header of document, causes crash
Comment 51 Cor Nouws 2011-12-15 14:12:27 UTC
propose Bug 43458 - LibreOffice does not start with a second monitor connected
Comment 52 Cor Nouws 2011-12-15 14:13:14 UTC
propose Bug 43824 - Crash when starting to enter cell contents with a single quote for the second time
Comment 53 Cor Nouws 2011-12-15 14:15:07 UTC
propose Bug 43532 - Renaming and deleting of inserted template categories broken, inserted templates land in wrong category (indexing issue in code)
Comment 54 Cor Nouws 2011-12-15 14:34:25 UTC
proposing Bug 43480 - EDITING: cell text *contents* from Calc pasted to Writer is pasted at bottom of document, unless paste special is used
Comment 55 Cor Nouws 2011-12-15 14:36:34 UTC
propose Bug 43869 - Paste special from Calc to Writer, causes last paragraph to be removed
Comment 56 John Talbut 2011-12-16 02:58:36 UTC
Propose bug https://bugs.freedesktop.org/show_bug.cgi?id=35023, base is unusable until this is resolved.  While it seems to be a Java bug, we already appear to have had at least one misdiagnosis.
Comment 57 Roman Eisele 2011-12-16 07:14:11 UTC
Adding Bug 43837 (as reported by Regina Henschel in comment #49) to the list because the bug has been confirmed now and is a blocker.
Comment 58 Stefan Knorr (astron) 2011-12-19 09:45:29 UTC
Propose to add this:
https://bugs.freedesktop.org/show_bug.cgi?id=43738

Two of our bundled extensions don't work on Windows.
Comment 59 Petr Mladek 2011-12-20 01:25:40 UTC
(In reply to comment #44)
> Nominate "Bug 43752 - VIEWING: Rotated flipped shapes in 3.4 drawings loose
> rotation opened in 3.5".

Yup, we should fix this.
Comment 60 Thomas Thym 2011-12-21 10:03:31 UTC
I propose the following bugs in order of my priorities:

Bug 40482 - CONFIGURATION: Formatting aids - displayed nonprinting characters become unchecked during printing and PDF export
Reason: Because it is a regression and really annoying to recover the characters.

Bug 40489 - PRINTING: Option Buttons and Check Boxes not printed correctly
Reason: Because it is a regression and we have many documents with check boxes making it impossible to use LO at the moment. 

Bug 43765 - FORMCONTROLS: Check Boxes and Option Buttons Become Invisible, when you Click into a Table.
Reason: Because it is a regression and image of LO is suffering ("Why do we use LO if that software is not able to display a simple document).

Bug 34436 - TABLES text in cells behaves wrong when rotated
Reason: Because MS Word compatibility is important for us. Rotated text with more that one line can not be read after import and even the creation of the second line next to (and not under) the rotated text in LO is less than obvious. The behaviour (Ctrl+Enter) is not expected by the users I know.
Comment 61 Olivier Hallot 2011-12-24 03:11:40 UTC
Proposed bug 44110.

"New Math symbols poorly redered in Windows"

The bug has the fix already, we just need to cherry-pick the files.
Comment 62 Lior Kaplan 2011-12-24 13:47:53 UTC
Proposing bug 44078, as UI in Hebrew is broken due to selection of a font without Hebrew support. Since beta2, this font is also part of LibO, which makes the problem to happen on default installation unless the font is manually deleted from the system.
Comment 63 Rainer Bielefeld Retired 2011-12-26 02:24:02 UTC
Nominate "Bug 43856 - PRINTING: after leaving Print Page Preview with <esc> particular documents will CRASH", it seems many documents are affected
Comment 64 Cor Nouws 2011-12-28 08:19:40 UTC
add Bug 44219 - Text rendered poorly
Comment 65 Marc Kaulisch 2011-12-29 01:21:43 UTC
Writer (beta2) crashes after leaving to another program on Win7 64bit
https://bugs.freedesktop.org/show_bug.cgi?id=44260
Comment 66 libreoffice 2012-01-01 06:02:49 UTC
I nominate the bug #44040. Crash when page preview after <f4> (data sources).
Comment 67 Luc 2012-01-01 06:32:09 UTC
hello,

I re-openend https://bugs.freedesktop.org/show_bug.cgi?id=36681.

For an average user this bug is very confusing and dissapointing. Should
be corrected before releasing a new version. I also did see it in the main-build, 3.6.

I discovered it myself working on a 230 pages document, my logbook, which
I carry along for 6 years (!). So now this bug suddenly appeared. I am 
even disappointed my self.

From the discription: it showed up suddenly and disappeared suddenly,
now it is there again. For me it was consistent during 3 days of editing work
on a document, then was gone again in one editing session.

Some not of half-way initialised parameter ?

Please consider adding this bug to this generic bug report.

Luc
Comment 68 Petr Mladek 2012-01-02 02:51:32 UTC
(In reply to comment #67)
> hello,
> 
> I re-openend https://bugs.freedesktop.org/show_bug.cgi?id=36681.
> 
> For an average user this bug is very confusing and dissapointing. Should
> be corrected before releasing a new version. I also did see it in the
> main-build, 3.6.

I agree that it is quite annoying => adding here. Well, I am not if we will be able to fix it. Random bugs are always hard to cope with.
Comment 69 Petr Mladek 2012-01-02 03:00:16 UTC
(In reply to comment #66)
> I nominate the bug #44040. Crash when page preview after <f4> (data sources).

Yup, that sounds pretty nasty.
Comment 70 Rainer Bielefeld Retired 2012-01-04 04:36:30 UTC
Nominate "Bug 41436 - FORMATTING: User style not trans ferred with copy / paste to other document", this bug makes effective work with DRAW impossible (enchains me to OOo 3.1.1)
Comment 71 Petr Mladek 2012-01-04 08:04:49 UTC
Nominate 44093: Forms open in printer view. They should open in web-view
Comment 72 John Manko 2012-01-04 09:09:00 UTC
Nominate Bug 42073: Writer input fields are not populated using the Java UNO API
Comment 73 Alex Thurgood 2012-01-04 09:35:25 UTC
As per discussion with Michael Meeks, nominating bug 44075 - mysql connector 1.0.1 extension from Oracle no longer works with 3.5 and throws a UNO shared object/component error.


Alex
Comment 74 Rainer Bielefeld Retired 2012-01-04 23:25:30 UTC
Nominate Bug 44467 - Deleting sheets can shift images or graphics between next sheets
Comment 75 Petr Mladek 2012-01-05 02:43:18 UTC
Nominate 44147: unable to edit embeded Calc table in Writer
Comment 76 sasha.libreoffice 2012-01-05 03:47:38 UTC
Please, verify Bug 44492 - in Arabian text blank squares instead of letters
it my be regression if confirmed
Comment 77 Petr Mladek 2012-01-06 05:34:04 UTC
Nominate 44322: ODF compatibility; margins saved by Lo-3.5 are not read corrrectly by L0-3.4
Comment 78 Petr Mladek 2012-01-06 05:57:40 UTC
Nominate 44498: Even simple odt document is considered as invalid by MS Office 2010.
Comment 79 Rainer Bielefeld Retired 2012-01-06 09:19:42 UTC
Nominate "Bug 43989 - After installation first launch terminates after splash screen". Although it seems completely harmless, that's no good first impression of a fresh installed software. We should be sure that that will not happen with RC1.
Comment 80 Rainer Bielefeld Retired 2012-01-06 23:20:44 UTC
Nominate "Bug 44518 - EDITING: CRASH for any input in Full Screen Mode"
Comment 81 Petr Mladek 2012-01-09 03:18:05 UTC
(In reply to comment #79)
> Nominate "Bug 43989 - After installation first launch terminates after splash
> screen". Although it seems completely harmless, that's no good first impression
> of a fresh installed software. We should be sure that that will not happen with
> RC1.

I agree that it is annoying => added. On the other hand, you saw it also with 3.4.5 => it is older bug => it is not must to have for rc1.
Comment 82 Stefan Knorr (astron) 2012-01-09 08:39:21 UTC
I am a bit unsure about these, but I'd like to nominate:

Bug 38515 - LibreOffice crashes in Bibliography dialog when pressing Enter
– Because it's a crash and has been in LibO at least since 3.4

Bug 44602 - Modeless Word Count window hides when user clicks into a note
– Because it's a new feature that doesn't always work as advertised
Comment 83 Rainer Bielefeld Retired 2012-01-09 12:30:30 UTC
Adding "Bug 40438 - CRASH in OLE object EDITING"
Comment 84 sasha.libreoffice 2012-01-11 01:24:24 UTC
Please, verify Bug 44664 - Calc PRINTING: printer prints Landscape page orientation as Portrait
it my be regression if confirmed
Comment 85 Lior Kaplan 2012-01-11 04:41:26 UTC
Adding bug 44657 - There's no scroller in Calc's scrollbar with RTL UI.
Comment 86 Clemmitt Sigler 2012-01-11 06:47:42 UTC
(In reply to comment #84)
> Please, verify Bug 44664 - Calc PRINTING: printer prints Landscape page
> orientation as Portrait
> it my be regression if confirmed

Please see prior Bug 38962 as it may be the same or a closely related bug.  In Bug 38962 Comment 3, freedesktop isolates the problem he is seeing to the Printer Language Type being set to PDF.  Note that this may be affecting primarily Brother brand printers(???).  Also note that this may be an issue for 3.4 as well as 3.5.
Comment 87 Petr Mladek 2012-01-12 02:51:48 UTC
(In reply to comment #82)
> Bug 38515 - LibreOffice crashes in Bibliography dialog when pressing Enter
> – Because it's a crash and has been in LibO at least since 3.4

I crashes even when adding TOC, so let's add it


> Bug 44602 - Modeless Word Count window hides when user clicks into a note
> – Because it's a new feature that doesn't always work as advertised

I think that this one is rather funny than annoying. I think that we do not need to prioritize it that much.
Comment 88 Philipp Gassmann 2012-01-12 04:32:07 UTC
Add Bug 37860 - Formula returns #VALUE in 3.4RC2 but works as expected in 3.3

Although the change is intended, it breaks compatibility to earlier versions
and to Excel import.
There's a common pattern =IF(A1+B1=0;"";A1+B1) which is used to hide zeros,
that leads to an error if another formula references this cell when 0/"".
Additionally it is already tagged as EasyHack.
Comment 89 Lionel Elie Mamane 2012-01-12 06:30:52 UTC
Nominate bug 44721: Cannot resize a control with the mouse in Report Builder.
Comment 90 Don't use this account, use tml@iki.fi 2012-01-12 06:48:52 UTC
I am still confused about the usage of "nominate" here. http://en.wiktionary.org/wiki/nominate says it has two meanings: 1) To name someone as a candidate for a particular role or position, including that of an office. and 2) (obsolete) To entitle, confer a name upon. 

So, when people "nominate" a bug for the coveted Most Annoying membership, does that mean they 1) suggest it as a candidate for being Most Annoying, i.e. invite discussion whether it is or not? Or that they 2) directly entitle it, say that it *is* a Most Annoying bug?
Comment 91 Rainer Bielefeld Retired 2012-01-12 07:01:01 UTC
@Tor:
Because of that confusion I changed my wording to "Adding bug ...". I do not believe we should do long discussions here concerning each bug, IMHO the proceeding should be: 
- Always add the Bug Number to "Depends on"
- Always cite the Bug Subject in a comment with a one sentence reason why
  it is a "Most Annoying" one, so that we keep overview here.

Without objection the Bug remains listed here, or someone objects and deletes it from "Depends on", further discussion in the Bug report itself.
A "nominate first, discuss, add" would be too bureaucratic
Comment 92 Petr Mladek 2012-01-12 07:37:43 UTC
I understand it the way that all bugs are kind of nominated because they could be added and removed from the dependencies at any time if there are good reasons.

I think that the main confusion is whether to update bug dependencies together with the explanation comment or wait for someone to accept it.

My suggestion is to update dependencies immediately if you are pretty sure that it is annoying for many users. You could just leave a comment if you are not sure.
It is how it works now and I think that it works well.

I agree with Rainer that we do not want long discussions about every bug. Most people nominate reasonable bugs. This is why the initial comment suggest to add the dependency immediately.

By other words, both approaches are good. You can't do a mistake :-)
Comment 93 Felice 2012-01-13 03:42:20 UTC
Version LOdev 3.5 beta3
S.O. Ubuntu 10.04 and Debian Testing.
Leaflet 'writer' with inserted OLE object (Calc).
Opens the object Calc to modify the cells.
No change is possible because the sheet Calc is protected.
Even if 'format cells' eliminates the tick on 'protection' remains the fact that it is impossible to modify any cell. In my similar models very old (made with OOo 2.x in years 2003, 2004 or 2005) the elimination of protection works very well and the cells are modified and saved correctly.
Comment 94 Carlo Strata 2012-01-13 04:03:12 UTC
(In reply to comment #93)
> Version LOdev 3.5 beta3
> S.O. Ubuntu 10.04 and Debian Testing.
> Leaflet 'writer' with inserted OLE object (Calc).
> Opens the object Calc to modify the cells.
> No change is possible because the sheet Calc is protected.
> Even if 'format cells' eliminates the tick on 'protection' remains the fact
> that it is impossible to modify any cell. In my similar models very old (made
> with OOo 2.x in years 2003, 2004 or 2005) the elimination of protection works
> very well and the cells are modified and saved correctly.

Felice this must be reported only (!) on Bug 44147 and, in case, changed there the target platforms: not here in 3.5 bugs collection.

Ok?

Carlo
Comment 95 Philipp Gassmann 2012-01-13 06:42:10 UTC
Hi Kohei

Why did you remove that bug from the list?
Shouldn't I have it added to 3.4 and 3.5, or what's the reason?

Regards
Philipp

Am 12.01.2012 20:13, schrieb bugzilla-daemon@freedesktop.org:
> https://bugs.freedesktop.org/show_bug.cgi?id=37361
>
> Kohei Yoshida <kohei.yoshida@gmail.com> changed:
>
>            What    |Removed                     |Added
> ----------------------------------------------------------------------------
>          Depends on|37860                       |
>
Comment 96 sasha.libreoffice 2012-01-14 01:55:58 UTC
Another interesting bug:
Bug 44770 - Writer FILESAVE: document, saved by LibO 3.5.0 opens incorrectly in LibO 3.3.4 and 3.4.3
Comment 97 Jean-Baptiste Faure 2012-01-14 23:10:22 UTC
Add bug 44210 : too bad user experience with StartCenter.
Comment 98 Roman Eisele 2012-01-15 03:48:35 UTC
(In reply to comment #96)
> Another interesting bug:
> Bug 44770 - Writer FILESAVE: document, saved by LibO 3.5.0 opens incorrectly in
> LibO 3.3.4 and 3.4.3

@sasha:
You nominated bug 44770, but bug 44770 is marked as a duplicate of Bug 43862, which is (or should be) fixed now. Is bug 44770 not fixed for you? If this is the case, it is probably not a duplicate of bug 43862, and then bug 44770 should be opened again. Or why did you nominate it? Am I missing something? (Just wanting to help, no offense!)
Comment 99 Lior Kaplan 2012-01-15 03:53:32 UTC
@Roman
I closed bug 44770 (as dup) after it was mentioned here. The fix will be at beta3 while it was reported on beta2.
Comment 100 sasha.libreoffice 2012-01-16 05:40:35 UTC
Possible regression from 3.3.4 if confirmed:
Bug 44829 - Impress EDITING: Undo not works when change master page
Comment 101 Michael Meeks 2012-01-16 08:55:24 UTC
Suggest bug#44836 - leaking page-breaks in the rendering, makes the new feature look bad.
Comment 102 sasha.libreoffice 2012-01-17 04:26:41 UTC
possible regression, if confirmed:
Bug 44856 - Calc: font on screen looks corrupted
Comment 103 sasha.libreoffice 2012-01-17 06:48:26 UTC
possible regression, if confirmed:
Bug 44862 - Writer EDITING: LibO crashes when attempt to copy-paste from Calc and undo results
Comment 104 sasha.libreoffice 2012-01-17 07:04:31 UTC
possible regression, if confirmed:
Bug 44863 - Calc EDITING: when recovered after crash, impossible to enter into cells
Comment 105 sasha.libreoffice 2012-01-17 07:35:10 UTC
users from opennet.ru very complain on this bug:
Bug 40540 - FILESAVE During DOC export drawing is lost
Comment 106 sasha.libreoffice 2012-01-17 08:04:41 UTC
another regression since 3.3.4 version:
Bug 40539 - Writer FILESAVE: Text direction in table is not saved into DOC format
Comment 107 Stephan Hennig 2012-01-17 08:22:16 UTC
Regression from LibO 3.3.4:  Bug 37561

Rationale:

Duden Korrektor is a commercial extension (ca. 20 Euro) providing various
language tools for the German language that in many tests out-performed all
other similar contestants.  The extension is available for LibreOffice,
OpenOffice and Microsoft Office and is important for German professional
writers as well as many 'regular' German writers.

Not being able to install the extension in LibO 3.4.0 to 3.4.4 makes for a
/very/ bad user experience.  Guess what users relying on that extension will
stay with or switch to?

As far as I can see from the discussion in #37561, a fix (adding missing
symbols) should be relatively simple.

Thanks,
Stephan Hennig

Note, I've also added this bug to 'LibreOffice 3.4 most annoying bugs', but only after LibO 3.4.5 was released.  According to the release plan LibO 3.5.0 will be the next release.
Comment 108 sasha.libreoffice 2012-01-17 09:08:55 UTC
another regression since 3.3.4 version:
Bug 44868 - Writer FILEOPEN: document in format DOC with picture opens incorrectly
Comment 109 Michael Meeks 2012-01-18 04:23:22 UTC
Suggest add major PPTX performance regression: bug#44719 that may affect other font related performance issues.
Comment 110 Andras Timar 2012-01-19 03:49:12 UTC
https://bugs.freedesktop.org/show_bug.cgi?id=44915
MSI installer does not show localized UI for many languages, for example pt-BR.
Comment 111 sasha.libreoffice 2012-01-19 05:42:48 UTC
Possible regression: In Writer options disappears one option, important for Asian languages. See explanations in last comments of this bug: Bug 33743
Comment 112 Timur 2012-01-19 07:06:30 UTC
I added https://bugs.freedesktop.org/show_bug.cgi?id=36876 which should be, if it that's not clear, OpenOffice bug 13791. Writer FILEOPEN: document in format DOC with table opens incorrectly.
Comment 113 Lionel Elie Mamane 2012-01-19 11:50:47 UTC
Adding bug 44025

ORowSetCache provides the XResultSet interface. Its isLast() returned true on the last line of the prefetch window, instead of the last line of the data. This has the potential to break a lot of other stuff, and in particular breaks search: the search does not look beyond the prefetch window.
Comment 114 mal 2012-01-19 13:47:42 UTC
Can I nominate Bug 34531

Not letting the Smartboard ink layer get above an Impress presentation on a second screen makes Impress pretty useless in most schools.

XP works fine but Linux doesn't ( As in: Slideshow/Slideshow Settings/Presentation Always On Top doesn't seem to do anything at all )
Comment 115 mal 2012-01-20 05:44:22 UTC
(In reply to comment #114)
> Can I nominate Bug 34531
> 
> Not letting the Smartboard ink layer get above an Impress presentation on a
> second screen makes Impress pretty useless in most schools.
> 
> XP works fine but Linux doesn't ( As in: Slideshow/Slideshow
> Settings/Presentation Always On Top doesn't seem to do anything at all )

Updated this bug for RC1... Please read it's very interesting

M
Comment 116 Rob Snelders 2012-01-21 01:55:06 UTC
Nominate 44143 - formula's that use data from pivot table don't update with the pivot table
Comment 117 elya.wygoda 2012-01-21 14:15:27 UTC
nominate Bug 33302 - brackets inverted in rtl text (mac only).
Comment 118 elya.wygoda 2012-01-21 14:22:05 UTC
(In reply to comment #117)
> nominate Bug 33302 - brackets inverted in rtl text (mac only).

sorry for double post but i wanted to add an argument : it is very annoying to see inverted brackets in file you open or create, it makes it very hard to know how the file will look in other programs , and the bug persists while printing  .
it is probably not hard to fix it is related to fonts (neooffice fixed it a long time ago)!
Comment 119 Volker Merschmann 2012-01-22 06:12:55 UTC
Nominating Bug 45068 - Update installation from 3.4 fails on most windows systems
Comment 120 Rainer Bielefeld Retired 2012-01-22 09:06:49 UTC
> Nominating Bug 45068 - Update installation from 3.4 fails on most windows

@Volker:
It's as Lionel wrote in the bug, we can't do a Fix for the 3.4.4 and older versions. But we urgently will need a hint in the installations manual that Versions before 3.4.5 will have to be uninstalled on 64 Bit WIN
Comment 121 Carlo Strata 2012-01-22 12:52:11 UTC
I think that bug 40289, bug 36742 and bug 45078 are the same one.

I just test them with:
- LibreOffice 3.4.5 rc2 (= final), linux x86-64 rpm build, on OpenSuSE 12.1,
kernel 3.1.0, updated, Gnome, ita GUIed;

- LibreOffice 3.5.0 beta3 and rc1, win32 build, on my Windows Vista
64 bit, SP2, updated, ita GUIed;

and I obtained always the same result: the bug is still here.

Now I try with 3.5.0 RC1, I posti here test results and then I add them to Most
Annoying 3.4 and 3.5 ones.

I think they may hide a bad table width initialization and tick and color
management. This affect quality and people LibreOffice quality ideas.

Tables and default table width are too often used to yield many document and
their exported PDFs so that people may easily decide because the border bug
that LibreOffice is still too young to be adopted and so they may decide to
unistall it putting all our efforts trough the window!

It's a big pity! So that I add them to most annoying one.

Carlo
Comment 122 Cor Nouws 2012-01-22 14:12:32 UTC
adding regression Bug 45084 - FILEOPEN: Cannot open HTML Files in Calc
Comment 123 Petr Mladek 2012-01-23 09:21:23 UTC
(In reply to comment #117)
> nominate Bug 33302 - brackets inverted in rtl text (mac only).

It sounds pretty annoying => added to the list.
Comment 124 Petr Mladek 2012-01-23 09:30:12 UTC
(In reply to comment #109)
> Suggest add major PPTX performance regression: bug#44719 that may affect other
> font related performance issues.

Added to the list. The reason is quite located. Probably has more duplicates.
Comment 125 Petr Mladek 2012-01-23 09:36:16 UTC
(In reply to comment #114)
> Can I nominate Bug 34531

Let's leave it outside the list for now. I am not sure how many users are affected. The bug has already got some attention. It works on Windows now...
Comment 126 Petr Mladek 2012-01-23 09:47:35 UTC
(In reply to comment #106)
> another regression since 3.3.4 version:
> Bug 40539 - Writer FILESAVE: Text direction in table is not saved into DOC
> format

Added to the list 40539. The document is still readable but it looks much worse. The other text direction is pretty useful feature when you do more complex tables.
Comment 127 Petr Mladek 2012-01-23 10:01:22 UTC
(In reply to comment #105)
> users from opennet.ru very complain on this bug:
> Bug 40540 - FILESAVE During DOC export drawing is lost

The objects are somehow special. Normal drawing objects are exported correctly. I have added some experts into CC. I am not sure how many users are affected, so let's leave it out of the most annoying bugs for now.
Comment 128 GerardF 2012-01-23 10:15:53 UTC
Want to add bug 45067.
Pivot table with dates is inusable.
Dates are changed in string, so you cannot use Data > Group.
Comment 129 Petr Mladek 2012-01-23 10:16:41 UTC
(In reply to comment #104)
> possible regression, if confirmed:
> Bug 44863 - Calc EDITING: when recovered after crash, impossible to enter into
> cells

Great catch. Well, let's leave it outside of most annoying bugs for now. It happens only when the document in not saved or autosaved.
Comment 130 Petr Mladek 2012-01-23 10:24:55 UTC
(In reply to comment #104)
> possible regression, if confirmed:
> Bug 44863 - Calc EDITING: when recovered after crash, impossible to enter into
> cells

Added to the list. Looks well reproducible. Might help to solve more cut&paste related crashes.
Comment 131 Petr Mladek 2012-01-23 10:27:58 UTC
(In reply to comment #130)
> (In reply to comment #104)
> > possible regression, if confirmed:
> > Bug 44863 - Calc EDITING: when recovered after crash, impossible to enter into
> > cells
> 
> Added to the list. Looks well reproducible. Might help to solve more cut&paste
> related crashes.

I am sorry, this was meant for the cut&paste crasher bug 44862.
Comment 132 Petr Mladek 2012-01-23 10:37:01 UTC
(In reply to comment #102)
> possible regression, if confirmed:
> Bug 44856 - Calc: font on screen looks corrupted

It has been fixed in the meantime.
Comment 133 Petr Mladek 2012-01-23 11:18:55 UTC
(In reply to comment #100)
> Possible regression from 3.3.4 if confirmed:
> Bug 44829 - Impress EDITING: Undo not works when change master page

Nice catch. I see it also with 3.4.5. I am not sure how many users are affected. I would leave it as a normal bug.
Comment 134 Kohei Yoshida 2012-01-23 14:43:32 UTC
Bug 45084 is not a regression even though it may seem like one to some users.  I gave my reason in that bug report.  Please consider removing it from the list.
Comment 135 Cor Nouws 2012-01-23 15:29:09 UTC
(In reply to comment #134)
> Bug 45084 is not a regression even though it may seem like one to some users. 

the bug report currenly shows no consensus about it being not a regression ..
Comment 136 Kohei Yoshida 2012-01-23 15:47:44 UTC
(In reply to comment #135)
> (In reply to comment #134)
> > Bug 45084 is not a regression even though it may seem like one to some users. 
> 
> the bug report currenly shows no consensus about it being not a regression ..

If we need to ensure the same order in an unordered map container, then all bets are off.  I'll leave it at that.  No more input from me.
Comment 137 Cor Nouws 2012-01-23 15:53:25 UTC
(In reply to comment #136)

> If we need to ensure the same order in an unordered map container, then all
> bets are off.  I'll leave it at that.  No more input from me.

pls consider to read the comment in the issue en reply there. It's the way to open the file, that you suggest to use, that is not working any more.
thanks.
Comment 138 sasha.libreoffice 2012-01-24 04:33:29 UTC
In one bug hard to distinguish regression from new functionality:
Bug 35735 - "Save As" defaults to current document format
Comment 139 Cor Nouws 2012-01-24 05:17:18 UTC
Added Bug 33393 : images (graphics, pictures) get lost on editing. Gets more duplicates ..
Comment 140 fabien.michel 2012-01-25 00:26:28 UTC
#40907 : Networking for Mac users is strongly affected by this bug. When a user attempts to open a file already open on AFP shared folder, it is not advised of which use this file, but receive an I/O error
Comment 141 Rainer Bielefeld Retired 2012-01-25 02:49:57 UTC
Add "Bug 45219 - SLIDESHOW: Transparency gradient effect fade in with wrong VIEWING", that might make Presentation useless fol many users.
Comment 142 Petr Mladek 2012-01-25 05:31:01 UTC
(In reply to comment #138)
> In one bug hard to distinguish regression from new functionality:
> Bug 35735 - "Save As" defaults to current document format

It was already in LO-3.4. The current state seems reasonable. Just the description is slightly confusing. People do not complain about LO-3.4 => normal bug.
Comment 143 Petr Mladek 2012-01-25 06:02:04 UTC
Heh, I have modified the platform setting by mistake.
Comment 144 Simon Kornblith 2012-01-25 20:17:52 UTC
Nominate Bug 45248.
Comment 145 Simon Kornblith 2012-01-25 20:21:08 UTC
Nominate Bug 45248. This is a seemingly minor regression, but it breaks our extension quite badly :(
Comment 146 sasha.libreoffice 2012-01-25 22:42:41 UTC
possible regression since 3.3.4: when import from doc, comments disappears
Bug 37794 - Writer, comment (see last comment)
Comment 147 sasha.libreoffice 2012-01-25 23:41:29 UTC
Instead of Bug 37794:
Bug 45255 - Writer FILEOPEN: when open doc file, comments disappear
Comment 148 Alex Thurgood 2012-01-26 01:43:21 UTC
Adding Bug 42543 - Report Designer Wizard missing Label display and editing capability - regression
Comment 149 Petr Mladek 2012-01-26 05:57:35 UTC
Add bug #45254: cannot edit data using postgreSQL-SDBC
Comment 150 Petr Mladek 2012-01-26 08:01:09 UTC
Add bug 45042: The Document Converter wizard is crashing on Windows OSs with default installation. It depends on binfilters.
Comment 151 Alex Thurgood 2012-01-28 08:23:11 UTC
Added 37024 as we have now had this bug for the whole of the 3.4 series and it is still not fixed. It is a blocker for all Base users, and a regression over previously established OOo 3.x versions and apparently LibO 3.3.x versions of ODB files.


Alex
Comment 152 Rainer Bielefeld Retired 2012-01-29 11:06:01 UTC
Add "Bug 45370 - EDITING: Calculated cell contents not updated after copy - paste - delete of source values", what makes calculations unreliable.
Comment 153 Lionel Elie Mamane 2012-01-29 12:39:13 UTC
Adding bug 34432: Crash on 64 bits when using an ODBC datasource (some drivers).
Comment 154 sasha.libreoffice 2012-01-30 02:44:46 UTC
Regression since 3.3.4
Bug 39415 - Table borders in word 200x .doc are shown incorrect in writer
Comment 155 sasha.libreoffice 2012-01-30 05:11:55 UTC
regression since 3.3.4:
Bug 39903 - FORMATTING: Table number format not retained
Comment 156 Rainer Bielefeld Retired 2012-01-30 07:52:52 UTC
+ "Bug 45401 - CRASH when XML filter settings XSLTs test", regression crash!
Comment 157 Rainer Bielefeld Retired 2012-01-31 01:16:45 UTC
+ "Bug 45409 - FILEOPEN particular .doc: Table of contents broken, internal reference information visible". Makes 3.5 useless for editing WORD documents, dataloss, saved with 3.5 also unsable with more early versions.
Comment 158 Lionel Elie Mamane 2012-01-31 14:10:45 UTC
Adding bug#45453: on database system with no/poor boolean support, "big" queries/tables completely fail to open in datasheet mode.
Comment 159 sasha.libreoffice 2012-02-02 01:45:53 UTC
regression since 3.3.4:
Bug 40320 - Pie charts colors messed up when saving opening Excel (.xls) documents
Comment 160 sasha.libreoffice 2012-02-02 07:42:53 UTC
possible regression, all formulas in doc file disappear:
Bug 40768 - LibreOffice Writer doesn't get the right border style of an image or object in .doc files
Comment 161 Dag Wieers 2012-02-02 07:57:17 UTC
Added Bug 31624, without the necessary change to the Windows installer (to include XML filters in the default installation), Flat ODF (XML) fails to work on Windows.
Comment 162 sasha.libreoffice 2012-02-02 08:05:32 UTC
regression, doc file opens wrong (see my comment):
Bug 40787 - FILEOPEN: Extra footer text when Libreoffice opens a .doc created in Word
Comment 163 sasha.libreoffice 2012-02-02 08:47:57 UTC
Writer hangs on Linux when open docx file, regression:
Bug 40900 - FORMATTING: Writer unable to format specific docx/doc correctly
Comment 164 Florian Effenberger 2012-02-03 03:40:22 UTC
Bug 45584 - presentation view defective
Comment 165 Alex Thurgood 2012-02-04 03:32:21 UTC
Adding 45607 - really poor performance on Calc macro execution (repeat insertions).

Alex
Comment 166 khagaroth 2012-02-04 05:14:15 UTC
Adding bug 45341, this is a (partial) regression against OOo and the fact the field becomes completely undeletable is a very annoying behavior.
Comment 167 sasha.libreoffice 2012-02-04 06:33:22 UTC
regression since 3.3.4, OLE opject not opens:
Bug 41765 - cannot open OLE object when the document is opened in read-only mode
Comment 168 sasha.libreoffice 2012-02-04 06:41:32 UTC
regression since 3.3.4, most information in doc file is lost
Bug 41798 - FORMATTING: Opening a .doc file - Regression in Libreoffice 3.4
Comment 169 Cor Nouws 2012-02-06 00:18:45 UTC
please look at Bug 45521 - [FILEOPEN] "LibO Writer changes decimal delimiter when opening a sdw file which causes data loss after saving"
Maybe specific case, maybe more generic problem ..
Comment 170 Dag Wieers 2012-02-06 05:25:29 UTC
Bug 45696 - Importing uno libraries in python my crash python; workaround exists
Comment 171 Cor Nouws 2012-02-06 05:58:14 UTC
add Bug 45085 - FORMCONTROLS: Notes/comments are displayed below controls
Comment 172 Cor Nouws 2012-02-06 06:00:36 UTC
Add Bug 45049 Non-standard caption number and reference do not appear in the insert cross-reference dialog
Comment 173 Cor Nouws 2012-02-06 15:38:14 UTC
It took me far to long to step into this annoyancy: problems with paper size and printing. As fas as I am concerned, all 3.4 versions are affected and the 3.5 line logically too.

Bug 34380 - PRINTING - Brochure printing incorrectly changes paper size to 'Legal'
Bug 33791 - Print system fails to use or allow user to select correct paper size for printing
Bug 44275 - Letter-size landscape 2-column Laser PRINTING bug

Please note that in this comment :
  https://bugs.freedesktop.org/show_bug.cgi?id=34380#c12
I've added two links to discussions on the users list. One with more explanation (in my judgement) / workaround.

Highly recommended :-)
Would be great to have 3.5.1 cured from those issues. Thanks
Comment 174 Petr Mladek 2012-02-07 01:20:36 UTC
Put back 33791. It was evidently removed by mistake, probably when adding a comment at the same time.
Comment 175 Petr Mladek 2012-02-07 06:12:01 UTC
Add 45117: Shrinked buttons in the warning when saving documents in non-ODF file formats.
Comment 176 sasha.libreoffice 2012-02-07 06:14:17 UTC
regression since 3.3.4 Writer crashes opening fodt file
Bug 42771 - Crash over invalid ODF
Comment 177 Alex Thurgood 2012-02-09 10:24:18 UTC
Nominating 43567, nasty crash in XML Form document production.

Alex
Comment 178 Alex Thurgood 2012-02-09 12:42:55 UTC
Nominating 40261, see also bug 43567 where there are bt provided by Julien - nasty crash in XML form control

Alex
Comment 179 sasha.libreoffice 2012-02-10 07:29:46 UTC
regression since 3.4.5
Bug 43229 - Unable to un-protect password protected MS-Word .doc document
Comment 180 Greg Bell 2012-02-11 07:26:52 UTC
Can't install 3.5 because it says I must quit using another version of libre
Comment 181 Petr Mladek 2012-02-13 03:35:50 UTC
(In reply to comment #180)
> Can't install 3.5 because it says I must quit using another version of libre

It is most likely caused by the bug 45068. The update to LO-.3.5 does not work directly from LO < 3.4.5. The solution is to either install 3.4.5 and then 3.5 or remove the older LO before installation.
Comment 182 sasha.libreoffice 2012-02-13 05:36:34 UTC
Bug 43313 - Writer table: border of merged cell is misplaced (regression since 3.3.4)
Comment 183 sasha.libreoffice 2012-02-13 05:56:10 UTC
Bug 43318 - Draw printing: Bitmap edited object prints incorrectly from Draw (regression since 3.3.4)
Comment 184 sasha.libreoffice 2012-02-13 06:11:27 UTC
No databases in Wisard of mailmerge (regression since 3.4.4)
Bug 43399 - Address data source wizard will not allow the definition of a Spreadsheet connection setting
Comment 185 Cor Nouws 2012-02-13 14:26:52 UTC
add Bug 45991 Crash when merging cells that have been pasted as Formatted text from copy of spreadsheet cells
Comment 186 Rainer Bielefeld Retired 2012-02-14 05:58:33 UTC
Add "Bug 46038 - EDITING: CRASH when copy-paste text from particular WRITER source" because of regression CRASH
Comment 187 Timur 2012-02-16 02:22:41 UTC
Added 44127 - Writer EDITING: LO crash on "Apply Numbering" Undo with Tracked Changes
Comment 188 sasha.libreoffice 2012-02-17 06:13:37 UTC
regression since 3.4: ole object inserted in Calc becomes looking corrupted when resize object or save/reload document:
Bug 44838 - FORMATTING: Position, size, word wrap wrong for WRITER OLE Object in CALC
Comment 189 clio 2012-02-18 23:09:26 UTC
Consider Bug 46144 - "Distributy Columns Evenly" does not work with the selected columns.

Also scripting in Java unavailable (regression since 3.4.x) - Bug 46102 - script dispatch java extensions are broken
Comment 190 Divakar Ramachandran 2012-02-19 10:34:06 UTC
This happens with LO3.5.0 released version downloaded on 18/Feb/2012 on MSWin7Prof64-bit. LO crashes quite frequently. I have filed a separate bug 46292 about crash when attempting to set proxy. (In reply to comment #81)

> (In reply to comment #79)
> > Nominate "Bug 43989 - After installation first launch terminates after splash
> > screen". Although it seems completely harmless, that's no good first impression
> > of a fresh installed software. We should be sure that that will not happen with
> > RC1.
> 
> I agree that it is annoying => added. On the other hand, you saw it also with 3.4.5 => it is older bug => it is not must to have for rc1.
Comment 191 sasha.libreoffice 2012-02-20 03:28:27 UTC
mentioned above bug 46144 is regression since version 3.4
Comment 192 Timur 2012-02-21 05:13:53 UTC
@ Orwel, Michael Meeks: There is already a bug for Advanced printing capabilities of comments in Writer [PRINTING] at https://bugs.freedesktop.org/show_bug.cgi?id=36815. It's one of my favorites.
Comment 193 Timur 2012-02-21 05:33:21 UTC
I don't know why https://bugs.freedesktop.org/show_bug.cgi?id=39006 was not here, but now, it is: FILEOPEN: LibreOffice hangs with 100% CPU usage on specific .doc file.
Comment 194 Rainer Bielefeld Retired 2012-02-21 05:44:37 UTC
Add "Bug 43932 - PRINTING: Paper tray setting not accepted from "File -> Print..."", broken important basic function.
Comment 195 sasha.libreoffice 2012-02-22 03:22:33 UTC
Regression: into Calc pastes not only selected text, but also content of Header of page:
Bug 45637 - EDITING: copy and paste text from Writer to Calc performs wrong (regression since 3.4)
Comment 196 Timur 2012-02-22 04:30:04 UTC
I added Bug 46393 - PRINTING: VIEWING cell borders differs from PRINTING. Although it's still not confirmed, looks like a bug and behaves like a bug :)
Comment 197 Noel Power 2012-02-23 02:11:08 UTC
I add issue #46498, am checking if it was in the 3.5.0 rel version
Comment 198 Noel Power 2012-02-23 04:27:35 UTC
adding issue #46165 more ole array handling brokeness
Comment 199 markusN 2012-02-23 12:30:52 UTC
Nominate Bug 44135 which could be related to Bug 40143: transparent color objects shows up in gray scale in PDF
Comment 200 Noel Power 2012-02-24 04:24:33 UTC
adding bug #46568 This is data corruption in a pretty well used dialog in calc ( e.g. the Manage Names dialog ) note: it core dumps for me consistently with accessibility enabled ( but ymmv )
Comment 201 Vossman 2012-02-27 06:23:34 UTC
I would like to nominate confirmed bug #44937 for 'most annoying'. 

As a professor, I was using the 3.5 series, but I cannot give my lectures because of the above bug, so I have a revert back to using the 3.4 series.
Comment 202 Petr Mladek 2012-02-27 06:57:46 UTC
(In reply to comment #201)
> I would like to nominate confirmed bug #44937 for 'most annoying'. 
> 
> As a professor, I was using the 3.5 series, but I cannot give my lectures
> because of the above bug, so I have a revert back to using the 3.4 series.

It seems to be fixed in 3.5.1-rc1 => it does not need immediate attention => let's leave it out of the most annoying bugs.

Feel free to put it into most annoying bugs if you still see it with 3.5.1-rc1 or never.
Comment 203 Petr Mladek 2012-02-27 07:14:18 UTC
(In reply to comment #199)
> Nominate Bug 44135 which could be related to Bug 40143: transparent color
> objects shows up in gray scale in PDF

I am not 100% sure that the bug is in LibreOffice. Anyway, it looks annoying, has more duplicates, so let's add it here.
Comment 204 Petr Mladek 2012-02-27 07:31:35 UTC
Add 45171: Can't open document with password; It seems to be related to a Firefox upgrade. It affects many distro builds.
Comment 205 sasha.libreoffice 2012-02-28 07:14:35 UTC
Printing problem on Windows 7. My be somebody can help to reproduce this or understand source of problem or knows workaround:
Bug 44275 - Letter-size landscape 2-column Laser PRINTING bug
Comment 206 Raphaël 2012-02-29 01:49:53 UTC
Please consider bug 36547, included in 'LibO 3.4 most annoying bugs', but still there in LibO 3.5.0...
Comment 207 tommy27 2012-02-29 02:18:50 UTC
@Raphaël
I think that all 3.4 most annying bugs the will not be fixed in LibO 3.4.6 (last release of the 3.4.x series) will be then moved into the 3.5 list
Comment 208 Noel Power 2012-02-29 05:09:03 UTC
removing bug# 46498 ( doesn't affect release build )
Comment 209 Ulrich Moser 2012-02-29 05:17:59 UTC
Added Bug 46769
Comment 210 Petr Mladek 2012-03-01 02:06:12 UTC
Add bug 46687: undocked 'Find' toolbar freezes the application
Comment 211 Bas Brederode 2012-03-01 22:13:21 UTC
When I hide a row and then copy the remaining rows Calc will also copy the hide rows.
Comment 212 Mihkel Tõnnov 2012-03-02 01:37:36 UTC
(In reply to comment #211)
> When I hide a row and then copy the remaining rows Calc will also copy the hide
> rows.

I'm not sure if this is a feature or a bug, but for now, there's an extension for the behaviour you want: http://extensions.libreoffice.org/extension-center/copy-only-visible-cells
Comment 213 Petr Mladek 2012-03-02 01:48:28 UTC
(In reply to comment #212)
> (In reply to comment #211)
> > When I hide a row and then copy the remaining rows Calc will also copy the hide
> > rows.
> 
> I'm not sure if this is a feature or a bug, but for now, there's an extension
> for the behaviour you want:
> http://extensions.libreoffice.org/extension-center/copy-only-visible-cells

Thanks for the pointer :-)

Well, in general, please, do not discuss details about issues in this meta bug. It already has more than 200 comments, so any useful detail gets lost soon.

I have asked Bas (in a private mail) to open bug for the problem and mention the bug number here.
Comment 214 Petr Mladek 2012-03-02 03:06:09 UTC
Add bug 46843: Base Queries loose sorting-order when reopening for editing
Comment 215 Rainer Bielefeld Retired 2012-03-02 07:38:39 UTC
Add "Bug 46532 - SLIDESHOW does not show pictures with Hardware Acceleration activated"
Comment 216 Rainer Bielefeld Retired 2012-03-02 08:39:34 UTC
Add "Bug 46901 - SLIDESHOW shows characters too slim with Hardware Acceleration activated"
Comment 217 m.a.riosv 2012-03-02 16:04:31 UTC
(In reply to comment #211)
> When I hide a row and then copy the remaining rows Calc will also copy the hide
> rows.

As I know this only works with rows hidden by filters not if is hidden directly.
Comment 218 Roman Eisele 2012-03-03 10:58:11 UTC
@bordfeldt@web.de:
please don’t change Platform or Version here — this is a meta-bug to keep track of all "LibreOffice 3.5 most annoying bugs" (well, the headline says it all), and therefore, Platform should be All/All.
Comment 219 Cor Nouws 2012-03-03 15:33:10 UTC
add Bug 39003 - Undo for automatic numbered/bulleted lists selects previous line, but the cursor should stay in position: a 1st class usability annoyance
Comment 220 Rainer Bielefeld Retired 2012-03-07 06:32:30 UTC
Add "Bug 47052 - Recovery fails because no access to AppData Temp folder", data loss
Comment 221 Rainer Bielefeld Retired 2012-03-07 06:34:20 UTC
Add "Bug 43882 - EDITING: CRASH when undo copy paste". It's rather a chin-up to get the crash, but we can't know whether there are other more simple ways to crash LibO because of this bug.
Comment 222 Alex Thurgood 2012-03-07 12:36:36 UTC
Adding 47068, nasty crash in Report Builder when moving a graphical object over a text field.

Alex
Comment 223 Carlo Strata 2012-03-10 09:46:35 UTC
I just add Bug 32886 - "recent documents list always blank with libreoffice" because it it quite annoying (it blocks an useful function also to first use users), it is a regression and it has been pointed out that cleaning the (linux only?) LibreOffice profile directory (~/.config/libreoffice/) solve the problem.
Comment 224 Frieder 2012-03-10 10:04:38 UTC
Bug 43021:  https://bugs.freedesktop.org/show_bug.cgi?id=43021
This bug first appeared in OO3.2 ( see https://issues.apache.org/ooo/show_bug.cgi?id=110141)
But it is still not fixed.

The FilePicker is one of the most used functions in Macros, Extensions, and
Templates. And therefore this bug should be fixed soon. 

You can read nearly every weak about this bug in the mailing-lists or a forum.
(http://libreoffice-forum.de/viewtopic.php?f=12&t=6652,
http://user.services.openoffice.org/en/forum/viewtopic.php?f=45&t=38912,
http://user.services.openoffice.org/en/forum/viewtopic.php?f=20&t=47621
http://de.openoffice.info/viewtopic.php?f=8&t=49308...)


Regards Frieder
Comment 225 Rainer Bielefeld Retired 2012-03-12 11:43:41 UTC
Add "Bug 46230 - EDITING: impossible to perform a drag & drop of entire row/column", that's really annoying if you are used to work with those edit functions.
Comment 226 Timur 2012-03-13 05:13:03 UTC
Added bug 47274 - EDITING: Crash when copy/paste table with data from Writer.
Comment 227 vitriol 2012-03-13 07:23:50 UTC
Nominating Bug 46809. Regression and big usability problem in Calc.
Comment 228 Alex Thurgood 2012-03-15 03:53:52 UTC
Nominating 46439 as blocker - can not access postgres db with official 3.5 builds on Mac and native postgres driver - works on build from master !!
Comment 229 Alex Thurgood 2012-03-15 04:06:46 UTC
(In reply to comment #228)
> Nominating 46439 as blocker - can not access postgres db with official 3.5
> builds on Mac and native postgres driver - works on build from master !!

Oh well, too late apparently !! Just seen the announcement for 3.5.1.

Alex
Comment 230 sasha.libreoffice 2012-03-15 08:58:18 UTC
Regression since 3.3.4 in Writer: wrapping text around object becomes or seen wrong after use Page Preview
Bug 45376 - [FORMATTING] Incorrect text wrapping around drawing shapes
Comment 231 Volker Merschmann 2012-03-15 13:28:57 UTC
Adding #46509 as the functionality of wiki export is completely broken
Comment 232 Jan Holesovsky 2012-03-16 03:52:20 UTC
Added an annoying installation issue.
Comment 233 Oliver Brinzing 2012-03-16 09:54:49 UTC
.
Comment 234 markusN 2012-03-17 00:27:47 UTC
Nominating bug 35132 - cannot print in landscape in writer
Comment 235 Tyler Mobray 2012-03-17 20:33:52 UTC
Nominate Bug 44011 - Movie and Sound media inserted into Impress presentations cause Impress to crash when the slide with inserted media is displayed on 32 and 64-bit Windows systems.
Comment 236 David Hersh 2012-03-17 20:34:24 UTC
Nominate bug 44011, added videos or audio crash impress as soon as a presentation is started. This may be a windows specific issue, but it happens on 32 and 64 bit windows systems. This is a tremendous handicap and makes impress unusable for many.
Comment 237 Rainer Bielefeld Retired 2012-03-18 08:18:41 UTC
Adding "Bug 45081 - SLIDESHOW CRASH on slide with embedded / linked video" (replaces Bug 44011)
Comment 238 Boostland 2012-03-18 15:19:11 UTC
Add this long standing bug to the list please.

<a href="https://bugs.freedesktop.org/show_bug.cgi?id=40421"><b>Bug 40421</b></a> - 3.4.2 Draw with transparent layer loses bezier curves
Comment 239 Rainer Bielefeld Retired 2012-03-19 01:53:39 UTC
Add "Bug 40421 - PRINTING shapes with transparent(?) Bitmap background loses bezier curves"
Comment 240 Rainer Bielefeld Retired 2012-03-19 05:09:41 UTC
Add "Bug 40958 - EDITING: Copy row to clipboard incomplete ... or: pasting copied row to other rows, makes that data in that row is repeated until the last column"; Calc is more or less unusable for me with tht bug.
Comment 241 Lionel Elie Mamane 2012-03-19 09:13:14 UTC
Add bug 47370: Base Queries mangle sorting-order when reopening for editing
Comment 242 Petr Mladek 2012-03-20 08:49:52 UTC
Add bug 47406: Almost all graphics that have internal circuits is wrongly positioned in ODT import. It is a regression against 3.4.
Comment 243 Roman Eisele 2012-03-21 03:37:42 UTC
May I nominate Bug 46020 — "Loss of footnotes when exporting to DOC-File"? A long-standing bug, of course, but IMHO very important, because this kind of silent, not easy to notice, but severe footnote data loss is exactly the kind of problem that could make LibreOffice useless for scientific, Academic and other purposes and could chase out many users if it became public ...

(How can I say to my students: "Just use LibreOffice instead of MS Office, it's free and fast, you can save you document as DOC file later, if you ever need to do so", when there is the possibility that some footnotes get lost on DOC export? Then, if I say to a student: "This is a citation but you did not mark it! You made a plagiarism!" the student could just answer: "Oh no, there was footnote giving the complete reference, but LibreOffice must have killed the footnote when I saved the document as DOC file." Even the former German Minister of Defense, Karl Theodor zu Guttenberg, who had to withdraw because he missed so many many many quotation marks and references in his PhD thesis, could excuse himself by saying "I used OpenOffice, and it has killed all the footnotes." ;-)
Comment 244 Michael Meeks 2012-03-21 04:34:25 UTC
Great nomination Roman - thanks for that ! :-)
Comment 245 Pierre C 2012-03-21 05:25:46 UTC
please, consider this bug :

https://issues.apache.org/ooo/show_bug.cgi?id=58415

this bug is also in libreoffice

and is a very annoying bug...
Comment 246 Rainer Bielefeld Retired 2012-03-21 06:03:38 UTC
(In reply to comment #245)

@choffardet:
Here we only can list LibO Bugzilla bugs. Please check whether that's already reported, if not please file a new LibO Bugzilla Bug!
Comment 247 vitriol 2012-03-21 06:23:03 UTC
Nominating Bug 47355. Regression and productivity killer.
Comment 248 Pierre C 2012-03-21 07:52:49 UTC
(In reply to comment #246)
> (In reply to comment #245)
> 
> @choffardet:
> Here we only can list LibO Bugzilla bugs. Please check whether that's already
> reported, if not please file a new LibO Bugzilla Bug!

what about ?

https://bugs.freedesktop.org/show_bug.cgi?id=47662
Comment 249 Cor Nouws 2012-03-22 02:16:36 UTC
added Bug 33914 - Presenter-Console duplicates (echoes) sound in video
Comment 250 Roman Eisele 2012-03-22 02:30:37 UTC
Added Bug 47662 as nominated by choffardet
Comment 251 Cor Nouws 2012-03-22 06:50:30 UTC
add Bug fdo#47717 - Paragraph border visible through an image
Comment 252 Roman Eisele 2012-03-23 06:02:04 UTC
Sorry -- removed Bug 47662 ("EDITING: Inconsistent / unintuitive reference link handling for check boxes and other form fields when Copying Sheets") again because it is now considered as "enhanchement". BTW: Sortet list of bug numbers to make removing a specific bug easier (the displayed list is sorted anyway, but to remove a specific bug from the comma-separeted list, sorting it makes sense).
Comment 253 Roman Eisele 2012-03-23 07:07:50 UTC
Added bug 47355 ("[EDITING] When shrinking an object anchored as character, paragraph below it doesn't update its position") again -- see the convincing comments by Rainer and Josiasmat on the bug report page. This is not a critical bug, right, but really a very annoying on, the workaround is not obvious, and, as Josiasmat put it, "this is the kind of bug that makes one consider going back to M$ Word". At least for beginners and part-time office-suite users, this is definitely true.
Comment 254 Rainer Bielefeld Retired 2012-03-24 00:59:38 UTC
Add "Bug 47769 - FILEOPEN particular DOCX 2007 - pictures shown wrongly on page 1", at least also sampld of Bug 47527 affected, might make LibO completely unusable for .docx 2007 with pictures
Comment 255 Boostland 2012-03-26 16:57:46 UTC
Add Bug 39887 - Regression: ODT files no longer display in Explorer preview

Explorer Preview and Icon thumb also broken in 3.5.2rc1

The Icon Thumb appeared to be working again in 3.4.6
Comment 256 sasha.libreoffice 2012-03-29 23:23:27 UTC
Slide preview (on left side) of Impress not working correctly, all slides except of first looks corrupted:
Bug 41261 - UI: Wrong slides preview when images on slide are cropped and scaled
Comment 257 sasha.libreoffice 2012-03-30 02:29:04 UTC
Linux specific regression:
Bug 48081 - Impress UI: impossible to select picture using left mouse click
Comment 258 sasha.libreoffice 2012-03-30 07:41:29 UTC
regression in Impress:
Bug 48093 - Impress: text in odp file looks incorrect (regression after 3.4.3)
Comment 259 Björn Michaelsen 2012-03-31 04:20:46 UTC
Add 46904: single file collated printing creates broken PDF. This breaks "print to file" and "real" printing.
Comment 260 Rainer Bielefeld Retired 2012-04-02 08:50:00 UTC
Add "Bug 44725 - VIEWING: Heading - Footer - Pagebreak lines appear somewhere in the page". It's harmless and acceptable for a x.x.0, but not acceptable for x.x.3 and a daunting view for someone who wants to try LibO. You don't get a second chance at a first impression.
Comment 261 Rainer Bielefeld Retired 2012-04-02 08:50:50 UTC
Now really added Bug 44725
Comment 262 dalobz 2012-04-03 20:49:08 UTC
Adding bug 46071 - Upgrading from 3.4 to 3.5 breaks Math/Formula Editor
Comment 263 sasha.libreoffice 2012-04-04 22:12:54 UTC
Writer, document with forms: impossible to export to any another format and retain information inside of forms, msOffice opens odt file without forms:
Bug 45724 - FILESAVE, FORMATTING, Text field data loss
Comment 264 sasha.libreoffice 2012-04-05 06:28:28 UTC
(almost) all doc files, opened by Writer, contain text approximately on 7% bigger than should be. It breaks layout and page division. Needed manual editing for each file. Bug 47838 - FORMATTING: Writer places text icorrectly in MS Office documents
Comment 265 Timur 2012-04-09 03:01:37 UTC
Added Bug 44861 - Calc EDITING: function Find&Replace behaves incorrectly if regular expressions used. Related to problem of the character "&" at the beginning of the search or replace string.
Comment 266 Fred Olness 2012-04-09 18:00:22 UTC
I nominate "Bug 45340 - LO 3.4.5 Calc fails to print an .xls file correctly." There is a work-around, but out of the box, LO on a Linux machine will fail to print an xls file properly--this is probably frustrating a lot of newbies and 
gives them the wrong impression of LO.
Comment 267 dE 2012-04-13 06:55:38 UTC
(In reply to comment #265)
> Added Bug 44861 - Calc EDITING: function Find&Replace behaves incorrectly if
> regular expressions used. Related to problem of the character "&" at the
> beginning of the search or replace string.

No, very less number of people use this feature.

I think it should be removed.

Most important is Bug 32709, and probably the most difficult to fix too.
Comment 268 dE 2012-04-13 07:01:04 UTC
There're a lot of unconfirmed bugs here, and a lot which actually needs not be here.

This should be a place for really annoying bugs.
Comment 269 dE 2012-04-14 10:39:36 UTC
I don't think these bugs should be added here - 

Bug 47355 -- the probability of someone placing the picture 'as character' and then resizing the image is very less... very few people are affected by this.

Bug 48081 -- 99% of custom animation is used on simple static text. This bug has an easy workaround.

Bug 46509 -- No one uses this feature. I don't yet understand how do you use it. Editing wiki directly in wiki's language is easier.

Bug 45376 -- not a major problem for many and has a workaround, but cause this already has a patch,......

Bug 45341 -- unused feature.

Bug 45171 -- it's not even confirmed. If you want security, encrypt your partitions, or put it in an encrypted archive.

Bug 45085 -- not a big problem.

Bug 45084 -- rarely used feature.

Bug 45049 -- same

Bug 44861 -- same

Let's process these first.
Comment 270 miles 2012-04-14 16:54:23 UTC
I would like to nominate bug 48356 (https://bugs.freedesktop.org/show_bug.cgi?id=48356).
It makes LO 3.5.x unusable in Eastern European countries when RTF export is concerned (and used).
Since a lot of public sector uses rtf of MS Word files, that makes LO 3.5.x a releases very public-image-threatening to LO in these countries (those to decide whether to use open source in public sector, might start saying: "Why use open source if it has such serious bugs that can cause us severe headaches, loss of data?").
Thsnks.
Comment 271 Cor Nouws 2012-04-15 14:59:29 UTC
changed importance of bug 45049 to major
Comment 272 dE 2012-04-15 21:02:13 UTC
(In reply to comment #271)
> changed importance of bug 45049 to major

Why do you think this's a major issue?

Removing other pointed out bugs.
Comment 273 dE 2012-04-15 21:09:50 UTC
Made changes.
Comment 274 sasha.libreoffice 2012-04-16 02:12:39 UTC
@ dE
1) here placed also regressions, not only annoying bugs
2) developers know what to do. Unimportant bugs they will ignore for now.
Comment 275 tommy27 2012-04-16 02:31:57 UTC
@dE
I think you should ask advise to the QA team (Reiner & co.) before removing MABs.

removing those existing bugs from this page does not solves them.
Comment 276 sasha.libreoffice 2012-04-16 03:23:37 UTC
1) let not flame here
2) deleting something from "Depend on" not very important because:
a) bug numbers still seen inside of comments
b) most of them are closed because "Duplicate" 
c) bugreport owners often communicate directly to developers, not via MAB
Comment 277 Petr Mladek 2012-04-16 06:17:40 UTC
IMHO, dE did great job. We could discuss particular bugs but some clean up was useful.

For example. I am not sure about removing the bug 45171. IMHO, the password protected documents are used by some type of users and it is rather important feature. Other than that, I agree that the removed bugs were not that important and did not belong here.

Bugs mentioned here are proceed in two ways:

First, comments are send to the mailing list. So, if you mention a bug, it is read by many developers and it might get immediate attention. In this case, it does not matter if you update the dependency or not.

Second, it is used for prioritization. Developers can't fix everything immediately. They look here when they finish something and look for another job. In this case, they do not read comments but they check list of opened bugs. So, the dependency, priority, and severity is important.

So, we need to keep dependencies, priorities, and severities in a good state. Otherwise, we will end with another swamp where it will be hard to find the important bugs. IMHO, we need not spend too much time on it at this stage because the number of opened bugs is still reasonable low and developers could filter them easily. On the other hand, any clean up is good and we might even need it in the future.
Comment 278 Rainer Bielefeld Retired 2012-04-16 11:20:17 UTC
Add "Bug 48778 - FILEOPEN arbitrary.pptx will CRASH", seems we (at least with WIN) lost ability to open that document type (created with MSO)
Comment 279 Cor Nouws 2012-04-16 12:43:37 UTC
Hi dE

(In reply to comment #269)
> I don't think these bugs should be added here - 

Prolly this is not the best place to discuss. but ...

> Bug 47355 -- the probability of someone placing the picture 'as character' and
> then resizing the image is very less... very few people are affected by this.

Would be my guess too. But a short discussion in the issue decided different..

> Bug 48081 -- 99% of custom animation is used on simple static text. This bug
> has an easy workaround.

Agree.

> Bug 46509 -- No one uses this feature. I don't yet understand how do you use
> it. Editing wiki directly in wiki's language is easier.

How do you know no one uses this ?

> Bug 45376 -- not a major problem for many and has a workaround, but cause this
> already has a patch,......

Will be fixed in 3.6 anyway. Maybe in 3.5.x too.

> Bug 45341 -- unused feature.

How do you know?
I agree it's not a MAB, since the use of native field cross-application is limited anyway.

> Bug 45171 -- it's not even confirmed. If you want security, encrypt your
> partitions, or put it in an encrypted archive.

Not a MAB, where so many developers spend attention to this one?

> Bug 45085 -- not a big problem.

Formattig. Annoying people with existing document ... 

> Bug 45084 -- rarely used feature.

Assigned, devs pay attention too it, and it actually blocks people opening certain files in LibreOffice. Indeed Annoying

> Bug 45049 -- same

Ah well, a Wordprocessor with broken cross-references.. OK, it's Non-standard caption number, but why would that have be added in the first place?

> Bug 44861 -- same

If a feature is used more or less, is not the sole scale to measure the annoyancy, IMO ;-)
Comment 280 Cor Nouws 2012-04-16 12:48:45 UTC
(In reply to comment #275)
> @dE
> I think you should ask advise to the QA team (Reiner & co.) before removing
> MABs.

I think that indeed is the best idea. We have the QA list, and even can ask advise from users and discuss list if we think we got stuck ;-)

Anyway, thanks for your thoughts and contribution dE.

Cor
Comment 281 Timur 2012-04-17 00:14:27 UTC
Adding again Bug 44861. I ask dE not to remove other people's bugs and not to discuss them here.
Comment 282 dE 2012-04-17 20:22:48 UTC
(In reply to comment #281)
> Adding again Bug 44861. I ask dE not to remove other people's bugs and not to
> discuss them here.

The title clearly says "LibreOffice 3.5 most annoying bugs"... yours is not even a bug.

You simply can't add your personal bugs or feature enhancements here... you gotta think about others also. And this way, the whole bugzilla will be added to the list.

We're only interested in bugs which cause data loss, corruption, crashes, and other i/o errors (especially with MS office formats).

I think it's time Rainer Bielefeld steps in and advice us what to do.
Comment 283 Petr Mladek 2012-04-18 00:48:17 UTC
(In reply to comment #282)
> (In reply to comment #281)
> > Adding again Bug 44861. I ask dE not to remove other people's bugs and not to
> > discuss them here.
> 
> The title clearly says "LibreOffice 3.5 most annoying bugs"... yours is not
> even a bug.

I think that it is questionable. If it replaces  1345-1430 with 13.45-14..0, it is data loss. If you replace data in large documents and you do not notice, it might be very annoying.

Please stop fighting about this bug. We are not in a state where we need to spend time on such long discussions. Developers are clever. They could filter few bugs that does not belong here. After all, this is just a helper bug. It does not enforce any work. It is just a suggestion.

> You simply can't add your personal bugs or feature enhancements here... you
> gotta think about others also. And this way, the whole bugzilla will be added
> to the list.

It is not Cor's pet bug. Cor have actively worked on bug triagging for a long time. He has great overview about type of bugs that people report. So, his opinion has some value. Note that nothing is black and white. There might be different views on some things.
Comment 284 Timur 2012-04-18 02:38:04 UTC
First, I thank you all for spotting and fixing all those bugs, and especially for opening bug like this one. What's clear here is that's about bugs, and not enhancements. 
I'd like to discuss 2 issues, I apologize if it's already been done. 

1. "Most annoying bugs" is relative, we don't have all the same opinion about what's most annoying. If it's like this, where is the limit, or this should mean "all bugs"? I'm not aware of some bug that is little annoying and thus not here. My opinion is that all bugs should be tracked, although some minor and hard may not be fixed.

2. "LibreOffice 3.5" has releases. Although in bug itself it can be seen in which release it will be/was fixed, it'd be convenient to see it also here. For example, to see "fixed in 3.5.1", "fixed in 3.5.2", etc below "Depends on". If it's a feature of Bugzilla, there should be some aggregating meta issue there, with that option, for bugs like this one.
Comment 285 Petr Mladek 2012-04-18 03:41:26 UTC
IMHO, it currently works the following way:

If you add a bug here, you send a message to developers. Hey, this is something that people really hates in this release. It annoys many people and discourage them from using this application. This is something that you should solve ASAP.

Developers look at the bugs and fix them if possible.

Note that developers are in CC in many other bugs, read mails, have other tasks from other people, have their personal life. They maintain their own priority lists. So, this bug does not enforce anything. It is still only a helper tool. Though, it seems that it works pretty well.


My view of why we need this bug:

First, any software has bugs and we can't fix everything. Any fix could potentially create another bug. Also we could not make everyone happy. Some people might like a feature that annoys other people. We can't make everything configurable because it would be hard to maintain all options. Even if we make it configurable, people will fight about defaults. So, we will always have any bug reports.

Next, this bug won't be needed if people set severity and priority correctly. Unfortunately, it does not work in a real life. If a person gets into a state that she reports a bug, she is often quite annoyed and wants a solution quickly. The bug is often quite important for the person, so she tends to set high severity and priority. One the other hand, some people does not know about this setting and they use the default values. All this can be corrected by people doing the bug triage who see many bugs every day and could better prioritize them. Unfortunately, we do not have enough people this time, so many bugs still have the severity and priority set by the reporter. So the query for all bugs does not show the most annoying bugs on top.

Finally, this bug is a workaround for the above problem. It is mostly updated by people doing the regular bug triage. They know the bigger picture and do their best guess what belongs here. They try to do not include their pet bugs. Of course, everyone has its own opinion. Also this bug is opened for anyone. 

Well, I think that it has worked quite well so far and we do not need any complex rules. IMHO, the name "most annoying bugs" set the right feeling in most people ;-)
Comment 286 Petr Mladek 2012-04-18 03:50:09 UTC
If we want to keep it working, we need to keep a balance.

If we mention too many bugs here, we will create another swamp of ideas and developers will ignore it. I am not sure where are the limits. IMHO, it somehow works now, so we do not need any regulation at this stage.

In each case, fights about each bug are rather contra-productive. It is better to fix them than discuss their priorities ;-)
Comment 287 sasha.libreoffice 2012-04-18 05:13:06 UTC
@ Timur
> 2. "LibreOffice 3.5" has releases. Although in bug itself it can be seen
We can see bug title when place mouse cursor over bug numbers in field "Depends on". Expected version, where bug will not exist may be added to end of titles of mentioned bugs. But it is much to work.
Comment 288 Cor Nouws 2012-04-18 12:24:05 UTC
Hi Timar,

(In reply to comment #284)

> 1. "Most annoying bugs" is relative, we don't have all the same opinion about

Yes, so the one acting with code (fixing a bug) decides.

> My opinion is that all bugs should be tracked, although some minor and
> hard may not be fixed.

All are tracked. In bugzilla.

> 2. "LibreOffice 3.5" has releases. Although in bug itself it can be seen in
> which release it will be/was fixed, it'd be convenient to see it also here. 

In addition to what others said: the release notes give a list of fixed bugs.
Comment 289 dE 2012-04-19 21:28:05 UTC
Should I add more bugs (I can easily add a 100 more).
Comment 290 sasha.libreoffice 2012-04-19 22:20:19 UTC
Yes, but preferred that only one bug per day. We should have time to think on one bug before appears another
Comment 291 Cor Nouws 2012-04-20 00:25:44 UTC
(In reply to comment #289)
> Should I add more bugs (I can easily add a 100 more).

Yes and no. 

Bugs that belong here, pls do. 
However: I do not believe in doing it 'easily'. 
Since, steps in the correct work flow are:
 - reproduce, 
 - test impact, workarounds,
 - query BugZilla for related and the same or closely related issues 
   which may lead to do some bundling of issues
 - in case of doubt, consult others via the QA list....

But any bug that is really a problem, and that is not yet visible here: pls do. We have had issues in the past, that were in BugZilla for months, turned out to be very nasty, and were not recognised fast enough, but discovered just because I (or someone else) was confronted with a similar problem and did "the work" in BugZilla.
So finding those bugs, is important and more helpful than adding just a load of bug numbers to this MAB.
Thanks for your help!
Comment 292 Rainer Bielefeld Retired 2012-04-20 00:33:53 UTC
@dE, Sasha, Cor:
For discussions we have <libreoffice@lists.freedesktop.org>, please stop discussion here immediately! Same concerning discussion concerning relevance of bugs, discuss that in the bugs, not here. Tis Bug is only to be used for purposes as per Petr's report. All those 28 Users listed in CC do not want to read any of your thoughts!
Comment 293 dE 2012-04-20 02:37:39 UTC
I suggest removal of - 

Bug 34380
Bug 34436
bug 41261

See my comments in the above bugs for the reason why.
Comment 294 tommy27 2012-04-20 12:04:54 UTC
Added Bug 46805 - large autocorrect database make LibO freeze when start typing
Comment 295 utter 2012-04-23 09:50:10 UTC
Propose Bug 47777
Can cause serious annoyance to people distributing pdf docs created from LibO Writer. See example inside bug report.
Comment 296 Laurent BP 2012-04-24 00:25:09 UTC
Hello,

I'd like to propose bug 38176
FILEOPEN, FILESAVE, FORMATTING in RTF with non-breaking spaces
https://bugs.freedesktop.org/show_bug.cgi?id=38176

It is very complicated to edit RTF file with non-breaking spaces because a normal space is added just after each non-breaking space. Non-breaking space is quite common in French text, as there is one before each double punctuation: ':' ';' '?' '!'
Comment 297 Jean-Baptiste Faure 2012-04-24 03:09:55 UTC
Added bug 38176
As said by Laurent, this bug make RTF export unusable for French documents.
Comment 298 Cor Nouws 2012-05-01 03:48:27 UTC
add Bug 45019 - FILEOPEN Password protected file opens in background (visible on task bar / invisible in Unity)
Comment 299 Max 2012-05-02 06:21:02 UTC
Nominate https://bugs.freedesktop.org/show_bug.cgi?id=46160 - Time lag makes Calc unusable for many business spreadsheets.
Comment 300 Rainer Bielefeld Retired 2012-05-02 07:44:46 UTC
Add "Bug 49342 - CRASH EDITING TABLE when merge cells in .sxw" because of crash
Comment 301 Michail Pappas 2012-05-03 01:11:38 UTC
I would like to nominate bug 39791.

Reason: there is a large number of Libreoffice corporate deployments. A number of them, including my own, has a mixed environment which includes MS Office alongside LibO/Oo. Group policy-made deployments at LibO 3.4 broke, with LibO stealing associations from MS Office for Word files (.doc / .otx). As an example, on my 300-pc installation I rolled back to Oo, till this issue is solved. Unfortunately, issue persists on 3.5

Summarizing: bug 39791 is a blocker (IMHO always) for corporate installations.
Comment 302 tommy27 2012-05-03 12:08:23 UTC
adding Bug 49350 - freeze when saving new entry to a large autocorrect replacement table
Comment 303 Rainer Bielefeld Retired 2012-05-06 04:18:34 UTC
Add "Bug 49545 - EDITING: CRASH when add custom animation to media (Movie, Sound)"
Comment 304 Raphaël 2012-05-10 11:02:03 UTC
I added bug 35427 - Impossible to hide horizontal scrollbar in writer when zoom is over 100%. It's very annoying for users working with 'optimal zoom' on a small screen.
Comment 305 sasha.libreoffice 2012-05-11 01:08:19 UTC
rtf files open corrupted. Seriously regression. Bug 45190
Comment 306 Rainer Bielefeld Retired 2012-05-11 01:24:37 UTC
Add "Bug 49760 - Error during Installation, Error 1335", we have 2 DUPs, so I doubt that those are random problems.
Comment 307 Rainer Bielefeld Retired 2012-05-12 04:47:14 UTC
Add "Bug 30920 - closing the license document closes LibO". I doubt that that crashes cause much problems, but it's a crash at a very visible place an can be used for malicious-joy, scorn and ridicule
Comment 308 Thorsten Behrens (CIB) 2012-05-14 06:22:27 UTC
removing feature bug from MAB list
Comment 309 Petr Mladek 2012-05-15 05:57:15 UTC
Add 49522 - scrolling is broken in Base. Data are duplicated in fields.
Comment 310 Lionel Elie Mamane 2012-05-15 09:44:37 UTC
Replacing bug 49522 by bug 48345 of which it is a duplicate.
Comment 311 Cor Nouws 2012-05-18 05:52:10 UTC
added Bug 33484 - Printing multiple files from Windows Explorer at once makes LibreOffice unusable
Comment 312 Wolfram Riedel 2012-05-20 04:06:49 UTC
Nominating bug 48039. Haven't seen working cross-references in quite a while.
Comment 313 Frédéric Buclin 2012-05-20 05:38:46 UTC
Nominating bug 35079. This is a severe regression for all of us heavily using Draw. This regression appeared during the 3.3 developement cycle and is still present in LibO 3.5.3. moggi told me on IRC to add it here.
Comment 314 rpr 2012-05-22 04:13:53 UTC
Nominating bug 37606 - Writer: Select All doesn't work on a document beginning with a table. It is a very old issue from OpenOffice.org. I guess it's not hard to fix.
Comment 315 Cor Nouws 2012-05-24 07:14:42 UTC
(In reply to comment #314)
> Nominating bug 37606 - Writer: Select All doesn't work on a document beginning
> with a table. It is a very old issue from OpenOffice.org. I guess it's not hard
> to fix.

Sorry, but I removed this one.
Just being an old OOo bug does not qualify for 'most annoying'. We could use an extra storage in that cast ;-)
Comment 316 Roman Eisele 2012-05-25 09:20:32 UTC
Nominate bug 39007 - "Persistent 'Restore Windows' dialog won't disappear, disables key functionality."

I know this bug is only present on one platform (MacOS X), and there is a workaround for it, but that workaround is not easy and the complete issue is particular "annoying" in the lexical meaning: this bug has the potential to drive ordinary (real!) users crazy ;-)
Comment 317 rpr 2012-05-25 16:38:13 UTC
(In reply to comment 315)
Cor, it seems that you and me have different perception of annoying
bugs. I'll quote a comment from bug 35673 which describes my
perception:
> Then the task should be called "Most annoying major new bugs". This
> bug is annoying, and the fact that it's old makes it more annoying,
> not less annoying.
Comment 318 Rainer Bielefeld Retired 2012-05-27 09:53:30 UTC
Add "Bug 50396 - EDITING: grouped shapes drawings become distorted", this one makes LibO DRAW completely unusable for me. Unfortunately it seems very difficult to reproduce the bug.
Comment 319 Rainer Bielefeld Retired 2012-05-27 10:49:05 UTC
Add "50399 - FILESAVE document created with 3.4.5 destroys grouped elements for 3.4 VIEWING". Dataloss when interchange between versions.
Comment 320 Petr Mladek 2012-05-28 01:32:26 UTC
Add bug 50415: Shortcut names are not localized on Linux; regression in 3.5.4; it worked well in 3.5.3
Comment 321 Rainer Bielefeld Retired 2012-05-29 23:29:59 UTC
Add "Bug 45260 - EDITING: Pasted object not same position w.r.t. original object if border thickness greater 0". This bug makes DRAW completely unusable for technical sketches. Although there is a simple workaround (use AOOo3.4) we need a fix for this bug.
Comment 322 Björn Michaelsen 2012-06-04 05:14:11 UTC
suggesting 50676 as it makes LibreOffice hardly usable for Chinese users.
Comment 323 Steven Shelton 2012-06-04 08:10:01 UTC
Nominate Bug 46480 (Calc cannot filter data from the data source). This bug makes it impossible to draw data from a database and use that data in any helpful way in Calc, and there is no workaround. It is for this reason that my office has not been able to upgrade to LibO 3.5 at all. It looks to be a regression to a prior bug that may have been present in LibO 3.3.4.
Comment 324 umi 2012-06-07 02:37:10 UTC
I nominate Bug 49582 - FILESAVE: Long delays saving in XP .XLS format.
Save as xls/xlsx with table column line must be possible.
Comment 325 aleusfrey 2012-06-07 05:32:29 UTC
I nominate Bug 42092 (SVG in PDF becomes Bitmap), because many business letters contain SVG-logos and cannot be converted to pdf any more.
Comment 326 Roman Eisele 2012-06-11 10:12:02 UTC
(Reset Importance pickers after accidental change.)
Comment 327 Roman Eisele 2012-06-18 00:30:44 UTC
(Bug 49610 should be in the "Depends on" list, not in the "Blocks" list. Therefore corrected.)
Comment 328 Petr Mladek 2012-06-18 00:40:47 UTC
(In reply to comment #323)
> Nominate Bug 46480 (Calc cannot filter data from the data source). This bug
> makes it impossible to draw data from a database and use that data in any
> helpful way in Calc, and there is no workaround. It is for this reason that my
> office has not been able to upgrade to LibO 3.5 at all. It looks to be a
> regression to a prior bug that may have been present in LibO 3.3.4.

ok, added.
Comment 329 Timur 2012-06-18 08:31:19 UTC
Added 40481 50509 46508 46510 of which only 46510 is still unresolved.
Comment 330 Joel Madero 2012-06-18 09:39:58 UTC
Nominating 49610: EDITING: Terminating 'Find' when reached end of document second time deletes slides, replaces contents by templates

Nominated because many users use Find feature and would be affected if slides were deleted. Loss of data = really annoying ;)
Comment 331 Rainer Bielefeld Retired 2012-06-18 13:01:30 UTC
bugzilla-daemon@freedesktop.org schrieb:

> Nominating 49610: EDITING: Terminating 'Find' when reached end of document
> second time deletes slides, replaces contents by templates

Hi,

you are a little late, and:
<http://wiki.documentfoundation.org/QA-FAQ#How_to_ad_Bugs_to_MAB_Tracking_Bugs>

Best Regards

Rainer
Comment 332 vitriol 2012-06-18 22:45:52 UTC
I nominate again Bug 47355. There are daily duplicated reports for this nasty regression bug.
Comment 333 Rainer Bielefeld Retired 2012-06-19 05:33:06 UTC
Add "Bug 51232 - EDITING: CRASH when paste in outline view after SLIDESHOW" because of crash
Comment 334 Rainer Bielefeld Retired 2012-06-20 01:33:55 UTC
Add "Bug 51247 - EDITING: CRASH when modify Text Anmiation properties to "As one object" and check "Animate attached shape" option": rather unplausible user scenario, but crash!
Comment 335 Rainer Bielefeld Retired 2012-06-20 02:38:48 UTC
Add "Bug 51253 - EDITING: CRASH when undo leads to a deleted style". Crash with rather normal proceeding
Comment 336 Roman Eisele 2012-06-21 07:48:42 UTC
Added bug 51023 - "EDITING: Drag-and-drop slide sorting broken on Mac OS X, leading to data corruption and crashes".

This bug seems to be limited to MacOS X for now, but is still really annoying and urgent:
* it makes sorting slides in Impress completely impossible,
* it leads to data corruption of a serious kind
* and even to crashes.
* Additionally, it is an regression introduced in LibreOffice 3.5.x.

There are some reports about Drag-and-drop slide sorting not working on Linux, which could be related, so looking into this issue may also help to fix these Linux issues (and the other way around).
Comment 337 Rainer Bielefeld Retired 2012-07-01 08:16:23 UTC
Add "Bug 46099 - Missing Search and Replace shortcut": If you use LibO for WORK that's worse than plague
Comment 338 Alex Thurgood 2012-07-01 13:31:39 UTC
Adding #51618, nasty crash and regression over 3.5.4 when opening a report based on a parameterized query on Linux 64bit
Comment 339 Alex Thurgood 2012-07-01 13:32:23 UTC
Sorry, that should read #51619

Alex
Comment 340 Rainer Bielefeld Retired 2012-07-04 21:31:21 UTC
Add "Bug 36149 - CRASH hovering over Menu "File > Send" if no JRE is available and MediaWiki Publisher installed". We can't terminate 3.5  before this has been fixed.
Comment 341 Lionel Elie Mamane 2012-07-11 12:06:24 UTC
bug 51239: embedded hsqldb too slow (regression)
Comment 342 Roman Eisele 2012-07-11 13:58:33 UTC
I have resisted for a long time, but finally I have to nominate bug 47368 - "Many crashes when accessibility enabled on Mac".

I have resisted for a long time, because this is not an easy candidate:
* the problem is limited to a single platform (MacOS X);
* it is not always reproducible out of the box;
* it is not clear where the problem comes from, i.e. if the bug is in our code
  or in Apple's code.

But nevertheless, it is definitely a "most annoying bug", and so I *have* to nominate it:
* it affects quite more users than you may think (see the duplicates
  listed in bug 47368; and there are even more similar bug reports
  which are just not marked as duplicates of bug 47368!)
* it causes crashes about crashes for the users which suffer from it;
* these crashes appear in many different actions, giving our users
  the (wrong) impression that every piece of LibreOffice was unstable;
* therefore this bug has the potential to drive users crazy;
* and to make them leave LibreOffice once and for good.

You may object: "We have an easy workaround: just disable the MacOS accessibility features, and LibreOffice is stable again"; this is true, but IMHO it does not make this bug less annoying:
* It is very difficult for "normal" users to discover any connection between
  the crashes in LibreOffice and the MacOS accessibility features,
* therefore "normal" users will not discover the workaround easily;
* we, the QA volunteers, have to ask people again and again to check
  their accessibility settings, which shows that people even forget
  about these settings (and therefore will not use the workaround,
  even if we list it in the release notes and read_me files);
* for many people which are physically disabled/handicapped in one or
  the other way the accessibility features are vitally necessary,
  so they just CAN NOT disable them
* and have to leave LibreOffice instead;
* therefore this workaround is NOT a workaround for them.

In addition, it gives me a rather bad feeling about LibreOffice that we unwillingly discriminate people (physically disabled/handicapped people) which are already discriminated by our way of live in many ways. This is a bad thing to do for free and open software -- it should be free and open also in the meaning of being easily accessible and usable for as many people as possible.

Therefore, we need to track down this issue some day. Even if we can't fix it because the problem is in Apple's code (I don't believe this, because many other applications seem to work fine with accessibility features enabled, including other office applications!), we need to find out about this, either in order to fix it (together with Apple) or at least to explain to our users that the crashes are not our fault.

Sorry for this rant -- no offence! -- I just wanted to state clearly why this bug, even being limited to a single platform and not easy to track down, is nevertheless an important (!) candidate for our "most annoying bugs" list. So please don't remove it from this list, but let's think together about what we can to do to solve this issue.
Comment 343 Michael Meeks 2012-07-12 08:36:56 UTC
Hi Roman,

> I have resisted for a long time, but finally I have to nominate bug 47368 -
> "Many crashes when accessibility enabled on Mac".

Please don't resist so long - it's good to make these visible, even if they are ill-formed and hard to fix; the video in that bug is amazing :-) clearly we need to address this. It is possible of course that the bug is in OS/X - but if so we need to work out which versions of it - and then blacklist a11y only for those versions (if there is a consistent pattern there it'd be good to build data for that).

Thanks for raising it :-)
Comment 344 Michael Meeks 2012-07-13 13:21:23 UTC
add linked slide editing / potential data-loss ergonomic issue from 3.6 tracker - that is not specific to 3.6
Comment 345 kitaets 2012-07-13 17:01:38 UTC
Nominate Bug 51508 - Impossible to use Writer OLE object in drawing or presentation due to uncontrollable size and position.
This is regression bug and it makes completely impossible to use releases after 3.3.4 if you need to have Writer OLE objects in your documents.
Comment 346 Rainer Bielefeld Retired 2012-07-15 07:29:05 UTC
Add "Bug 52108 - CRASH on any action for particular big .odt". 7000 pages document is nothing affecting many users, but we had it working in 3.4, and who can know whether we also have an increased vulnerability with some hundreds pages documents?
Comment 347 Rainer Bielefeld Retired 2012-07-17 06:58:43 UTC
Add "Bug 51034 - FILESAVE: # in hyperlink corrupts .docx (MSO2007) document": Dataloss Regression.
Comment 348 Michael Meeks 2012-07-18 12:41:27 UTC
Add win32 specific crash loading Danish dictionary during startup after upgrade bug#38913 - sounds bad.
Comment 349 Jean-Baptiste Faure 2012-07-24 10:16:44 UTC
nominate bug 52433 : memory leak, crash under XP.
Comment 350 Roman Eisele 2012-07-25 06:38:55 UTC
Bug 34467 - "FORMATTING Fit to Frame for text boxes is broken" should be removed from "LibreOffice 3.6 most annoying bugs" (bug 44446) and added here, because this bug goes back to LibreOffice 3.3.0.
Comment 351 ape 2012-07-28 03:26:13 UTC
Add Bug 52610 - FILESAVE [DOCX] File.docx, created LibO Writer, can't be opened in other programs (https://bugs.freedesktop.org/show_bug.cgi?id=52610)
Comment 352 ape 2012-07-28 06:31:50 UTC
Add Bug 52612 - FILESAVE [DOCX] Loss of footnotes's text when exporting to DOCX-files (https://bugs.freedesktop.org/show_bug.cgi?id=52612)
Comment 353 Rainer Bielefeld Retired 2012-07-29 06:57:39 UTC
Add "Bug 46249 - CRASH when browse to HD root directory in FILEOPEN Template dialog": Crash, Regression, several DUPs
Comment 354 Timur 2012-08-10 10:21:38 UTC
I deleted Bug36547 (DUPLICATE of Bug33591), added Bug33591 (FIXED), deleted Bug45078 (DUPLICATE of Bug40289), added Bug40289 (NEW).
Comment 355 Rainer Bielefeld Retired 2012-08-12 15:36:22 UTC
Add "Bug 42939 - SVG Export ignores line width", currently SVG export is completely unusable.
Comment 356 ape 2012-08-12 18:54:12 UTC
Nominate bug 53113 (DOCX filter loses shape containing text) and bug 53175
(Error reading “Content (TOC)” from a DOCX).
These bugs are not regression but they make unusable re-import OOXML text
documents (DOCX, ISO) by Writer. As result we need to use Microsoft Office for
this purpose.
Comment 357 Aibara 2012-08-20 19:26:35 UTC
Add https://bugs.freedesktop.org/show_bug.cgi?id=52080 - Large files become unresponsive since version 3.5.0.
Regression - working with large files was fine with Writer in the 3.4 series, now broken.
Comment 358 frank 2012-08-21 15:41:00 UTC
I'd like to nominate <a href="https://bugs.freedesktop.org/show_bug.cgi?id=48828">Bug 48828</a> as it actually corrupts document content. This was still an issue with 3.5.5 and is also an issue with 3.6.0
Comment 359 Petr Mladek 2012-08-28 13:11:26 UTC
(In reply to comment #358)
> I'd like to nominate <a
> href="https://bugs.freedesktop.org/show_bug.cgi?id=48828">Bug 48828</a> as it
> actually corrupts document content. This was still an issue with 3.5.5 and is
> also an issue with 3.6.0

added
Comment 360 Rainer Bielefeld Retired 2012-08-29 14:45:23 UTC
Add "Bug 54214 - FILESAVE: # in hyperlink corrupts .docx (OOXML) document", destroys documents, dataloss, similar to also listed Bug 51034
Comment 361 Roman Eisele 2012-08-30 13:15:24 UTC
For the record:
Sasha has added bug 35991 -- "merged cells in tables in DOC files not saved correctly by Writer on Linux 64bit".
Comment 362 Mirosław Zalewski 2012-08-31 17:37:13 UTC
I am adding #38606: "Under Style and Formatting, clicking Apply always resets to initial tab".

If I understand correctly, no one worked on this, because there are plans to redesign style modification dialogs, and chances are that "Apply" button will be removed.

But this redesign will happen in 3.7 at best, which is around six months from now. This bug has been opened for over a year. Instead of having users waiting next half year, please fix it in at least 3.6 branch.
Comment 363 Roman Eisele 2012-09-01 12:53:39 UTC
Add bug 50284 - "FILEOPEN .doc/.docx (MSO2007) Bullet lists show wrong bullet symbols MacOS X".

Rationale:
This is a follow-up of the long-standing bug 34814, which was finally fixed in LibO 3.5.4. Since this fix, bullet lists are imported correctly from .doc/.docx 
files in LibO on Windows and Linux -- but still not on Mac OS X. For this special case (bullet lists still wrong on Mac OS X), the special bug 50284 was filed. Now bug 34814 was a MAB; therefore, bug 50284, which is about the same problem, just limited now to a single platform, must be a MAB, too.

Additionally, cf. the user comments in bug 50284, e.g. comment 18 and 30.
Comment 364 Lionel Elie Mamane 2012-09-02 03:43:15 UTC
bug 53557, base crasher on any calculated field
Comment 365 Horst 2012-09-02 16:56:59 UTC
 Bug 45893 CHART printing directly is  amissing feature which is included in
Excel and in Lotus 123 for around 20 years. The workaround to export the chart
to PDF and then print from there is working but a total mess and waste of time
to get it right ( changing page properties, changing chart window and alot
trial and error).
Comment 366 Adriano Afonso 2012-09-02 21:56:16 UTC
Bug Proposal - Calc is too slow to open and work with big datasheet file

Since I can't find any related bug so far, is there any bug open for this problem?

The problem is simple, the file as 30,5Mb and almost 150,000 lines, with data from the last two years. It takes a lot to open and its very frustrating working this the filters (it takes to long just to open the menu). 
This has been reported to me since OOo 2.1 and only now I had access to a so large file at the enterprise I work.
I want to start to migrate some office suites, but this bug is pulling the project out.
I can prepare a file to share if needed.
Comment 367 Roman Eisele 2012-09-03 08:22:55 UTC
Added Bug 40594 - "Charts embedded in .docx files are absent when opened in LibreOffice Writer"
Comment 368 Roman Eisele 2012-09-03 08:35:32 UTC
Added Bug 53872 - "CRASH - opening database report" (was a 3.6/3.7 MAB, but is now already reproducible in LibO 3.5 daily, therefore moved to this list).
Comment 369 Rainer Bielefeld Retired 2012-09-04 12:20:58 UTC
Add "Bug 48775 - CRASH when opening biblio.odb via tools menu without Base module installed", way to fix this one might lead via fix for Bug 54479 - CONFIGURATION: Menu 'Tools - (open) Bibliography Database', although Base not installed
Comment 370 Joel Madero 2012-09-04 21:32:11 UTC
Nominating 48569 as a MAB. Document shows instance of document crashing when saved as .docx, potential for loss of data is high.
Comment 371 Timur 2012-09-05 13:10:22 UTC
Added Bug 35568 - "QuickStarter setting not remembered after upgrade" because it's required for a resolved Bug 46510 - "Turn on Quickstarter by silent install" to work.
Comment 372 Timur 2012-09-05 13:11:20 UTC
Added Bug 35568 - "QuickStarter setting not remembered after upgrade" because it's required for a resolved Bug 46510 - "Turn on Quickstarter by silent install" to work.
Comment 373 Joel Madero 2012-09-07 21:47:29 UTC
Nominating fdo#50285
https://bugs.freedesktop.org/show_bug.cgi?id=50285

This bug has the potential of really creating an unprofessional document. This could be a real problem for business people or students if they save as a document and then submit the work as it completely changes the text.
Comment 374 Stefan Knorr (astron) 2012-09-08 20:01:55 UTC
Remove chart printing bug, as it is a feature request and has no place here.
---

Please note that this doesn't mean the bug isn't important in its own right, but it is not a crasher, not a data loss bug and also not a small/big annoyance that's easy to turn off.
Comment 375 Sean Carlos 2012-09-12 18:09:18 UTC
Bug 53340 is a change in Impress from 3.4.x which negatively impacts existing slides which are subsequently edited using 3.5.x: the available text area is reduced for any newly inserted slide creating an inconsistency with other slides in a slide set. Thus I think we have a regression.  Problem also exists in 3.6.x.
Comment 376 tommy27 2012-09-13 06:07:24 UTC
Added Bug 48279 - autocorrect limit. acor.dat with entry 65535: Loop and/or loss of acor data.

IMHO this is very annoying since the 65K limit of autocorrect entries is something that sooner or later any user will face and the after reaching that limit the autocorrect database will be reset to 0 loosing all entries collected.

it seems the 65K limit is related to 16-bit encoding...
is there any chance to raise this limit from 16^2 to 20^2 or 32^2 ?
something similar was done in Calc to allow more than 65K columns (actually I think it can handle 1 million)
Comment 377 tommy27 2012-09-13 06:09:33 UTC
s(In reply to comment #376)
> Added Bug 48279 - autocorrect limit. acor.dat with entry 65535: Loop and/or
> loss of acor data.
> 


sorry, I meant Added Bug 48729 - autocorrect limit. acor.dat with entry 65535: Loop and/or loss of acor data.
Comment 378 Michael Meeks 2012-09-14 08:38:29 UTC
move bug#36815 (comment printing) from 3.7 MAB to here where it belongs.
Comment 379 Mihkel Soomere 2012-09-14 19:06:01 UTC
Bug 50542
Showstopper bug for upgrade to LO 3.5/3.6 in some enterprise deployments that store user data in central file servers.
Comment 380 Roman Eisele 2012-09-15 08:32:04 UTC
For the record: Lionel Elie Mamane has added
* Bug 54930 - “EDITING Report builder: mouse-resize control allows to move
  top of control to out of section”
* Bug 54933 - “EDITING Report builder: mouse-move control: gap between
  mouse position”
Comment 381 V.K. 2012-09-17 14:01:16 UTC
Added bug 53365 – DOCX file is opened properly but is re-saved to native LibreOffice ODT with mistakes and with missing formulas.
Comment 382 Rainer Bielefeld Retired 2012-09-18 06:25:45 UTC
Add "Bug 55042 - No WINDOWS daily builds available for QA", without daily builds for 3.5 latest fixes for 3.5.7 can not be verified by QA
Comment 383 Lou Vaughn 2012-09-28 16:33:23 UTC
LibreOffice 3.5.4.2

When saving to *XML.docx (other save formats not usable), 
Paragraph > Borders > "Spacing to Contents" 
Settings are lost (not saved, or not read on re-open?) when the document is re-opened.
Comment 384 Lou Vaughn 2012-09-28 16:45:31 UTC
LibreOffice 3.5.4.2

When saving to *XML.docx (other save formats not usable),

Imported graphic image lost; but place holder remains.
Comment 385 tommy27 2012-09-29 08:16:15 UTC
@Lou Vaughn
please, cite an existing Bug number or in case it does not exist yet, file a new bug report with steps to reproduce and test documents.
Comment 386 Roman Eisele 2012-10-09 08:55:24 UTC
As suggested by Timon in
  https://bugs.freedesktop.org/show_bug.cgi?id=44446#c137,
I add bug 50774 -- “Incorrect numbering of paragraphs in docx document”. Makes LibO unsuitable for academic etc. usage.
Comment 387 Timon 2012-10-09 09:39:20 UTC
If we speak about academic usage, then there is another Bug 53961 with OLE https://bugs.freedesktop.org/show_bug.cgi?id=53961 It also present in AOO and confirmed there https://issues.apache.org/ooo/show_bug.cgi?id=120678 This bug affects LibO 3.5, 3.6; AOO 3.4; may be other LibO and AOO more old versions
Comment 388 Horst 2012-10-11 22:33:53 UTC
Adding bug 55786 fileopen read error on older Lotus 123 files. Add it here because already not working in 3.5.5.
Comment 389 Laurent BP 2012-10-15 19:07:27 UTC
Add Bug 56009
In Calc, object anchored to cell are moved to A1. Same as Bug 54695 which was corrected for LibO 3.6.2.
Comment 390 Lennard Wasserthal 2012-10-17 19:33:43 UTC
Added Bug 45495, because youre in trouble when you have to hold your slideshow and saved as pptx for that and this bug will appear on nearly any pptx show to a certain degree.
Comment 391 Alex Thurgood 2012-10-24 08:45:26 UTC
Adding 52392 - Biliography database is screwed. New entries to bibliography database cause random illegible data to be written to unfilled fields which then display both in the table view and any use of the biblio db in documents, e.g. for creating a bibliographic index.


Alex
Comment 392 Alex Thurgood 2012-10-24 08:49:59 UTC
(In reply to comment #391)
> Adding 52392 - Biliography database is screwed. New entries to bibliography
> database cause random illegible data to be written to unfilled fields which
> then display both in the table view and any use of the biblio db in
> documents, e.g. for creating a bibliographic index.
> 
> 
> Alex

Bug 52392
Comment 393 Michael Meeks 2012-11-20 10:26:14 UTC
add image cropping annoyance mis-added to 4.0
Comment 394 Mihkel Tõnnov 2012-11-20 14:05:54 UTC
Added bug 42134 - FORMATTING: Autofit doesn't work properly on long texts

This is terribly annoying for me: with longer lines, part of or all of the text in a text frame regularly gets squeezed together so the text becomes illegible. Workaround is to disable Autofit completely.
Comment 395 Roman Eisele 2012-11-20 14:34:56 UTC
I would guess that bug 54933 is meant to be in the “Depends on” field, not in the “Blocks” list, isn’t it?!
Comment 396 Roman Eisele 2012-11-22 17:37:37 UTC
Added bug 53909 - “FILEOPEN Word 97-2003 DOC structure is not recognized”.

A regression, very important, introduced somewhere in the 3.6 development process and then backported to the 3.5 branch. According to my tests, the backporting was done between the releases of 3.5.5.3 and 3.5.6.2; this is a fairly limited range of commits which need to be checked.

[I thought that this (3.5) list was more or less closed, but it seems to be still alive, therefore I add the bug to this (3.5) list, not to the 3.6 list ;-) Correct me if I am wrong ...]
Comment 397 Urmas 2012-11-25 00:08:18 UTC
Shouldn't be WONTFIX already?
Comment 398 tommy27 2012-11-25 09:11:39 UTC
@Urmas

if I remember correctly I read on the dev list that Reiner and the QA team will probably review all the opened 3.5 MABs before the end of the year and then the still valid bugs to the 3.6 MAB list.

a similar job was already done in the past when 3.4.x cicle ended and all the survivor MABs were shifted to the 3.5.x list
Comment 399 Roman Eisele 2012-11-29 06:46:08 UTC
For the record: Norbert Scheibner has added
* Bug 40788 - “FORMATTING - Calc ignores manual breaks when ‘fit to number
  of pages’ is chosen”
Definitely a disputed case, but I agree that we need at least more consistency in manual breaks handling in Calc, so this seems a valid nomination.
Comment 400 Eugene Kin 2012-12-07 06:50:16 UTC
Nominate https://bugs.freedesktop.org/show_bug.cgi?id=37814 (FILESAVE Save/Save As dialogs use last save folder (not original) with non-ascii path)
Really annoying issue causing documents loss.
Comment 401 Timur 2013-01-30 08:02:40 UTC
Removing Bug 53340 as it was marked as a DUPLICATE of bug 34987, and adding the later.
Comment 402 nomnex 2013-02-12 11:49:42 UTC
Is it possible to have some feedback about this very annoying bug about "incorrect cross-references in Master/Sub-document"?

https://bugs.freedesktop.org/show_bug.cgi?id=48039
https://bugs.freedesktop.org/show_bug.cgi?id=35669

These two bug reports echo only users comments for several months, and it is still broken.

Thanks in advance.
Comment 403 Joel Madero 2013-02-12 19:36:20 UTC
@nomnex - we try not to bump bugs in MAB or discuss them here in the comments. If a bug is already on MAB list, we do ALL discussion on the bug itself, not in the meta tracker.

Thanks!
Comment 404 nomnex 2013-02-13 10:36:10 UTC
(In reply to comment #403)
> @nomnex - we try not to bump bugs in MAB or discuss them here in the
> comments.

Yes, sorry about that.
Comment 405 Joel Madero 2013-02-13 21:45:09 UTC
And with that last bug removed from 3.5 MAB --

Set status to CLOSED/FIXED, in order to make it really obvious (especially for beginners) that no more bugs should be added to this tracking bug.
Comment 406 Korrawit Pruegsanusak 2013-02-15 07:28:23 UTC
Really mark as CLOSED. Also add accidentally-removed mab3.6 back to 'See Also'.
Comment 407 tommy27 2015-10-18 02:38:04 UTC
Hi all,

The MAB docs on the wiki have been updated to reflect the new
Priority-based system for categorizing bugs:
https://wiki.documentfoundation.org/QA/Most_Annoying_Bugs

The old MAB tracker bugs (mab4.3, mab4.4, etc.) will remain in
Bugzilla for historical reference, but should be ignored for current
work. 

......................

FINAL mab3.5 STATS
......................

fixed bugs -> 215
open bugs  -> 0

......................